Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 9431)
@@ -260,5 +260,10 @@
 			JOptionPane.ERROR_MESSAGE);
 	    } else {
-		if (!Main.sessionManager.processLogin()) {
+		int response = Main.sessionManager.processLogin();
+		if (response == 0) {
+		    Main.showFrame();
+		    //hides the dialog
+		    this.dispose();
+		} else if (response == 1) {
 		    //if the login fails, an error is displayed
 		    if (!Main.sessionManager.isProxyError()) {
@@ -266,9 +271,7 @@
 				Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
 		    }
-		} else {
-		    //		Locale.setDefault((Locale) comboLocales.getSelectedItem());
-		    Main.showFrame();
-		    //hides the dialog
-		    this.dispose();
+		} else if (response == 2) {
+		    JOptionPane.showMessageDialog(null, Messages.getMessage("connexionDialog_proxyAuthError"), Messages
+			    .getMessage("error"), JOptionPane.ERROR_MESSAGE);
 		}
 	    }
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 9431)
@@ -23,4 +23,5 @@
 import fr.mael.jiwigo.om.Comment;
 import fr.mael.jiwigo.service.CommentService;
+import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
 import fr.mael.jiwigo.transverse.util.Messages;
 import fr.mael.jiwigo.transverse.util.Tools;
@@ -172,4 +173,7 @@
 		reussite = false;
 		LOG.error(Tools.getStackTrace(e));
+	    } catch (ProxyAuthenticationException e) {
+		reussite = false;
+		LOG.error(Tools.getStackTrace(e));
 	    }
 	    if (reussite) {
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 9431)
@@ -3,4 +3,5 @@
 import java.awt.BorderLayout;
 import java.awt.Dimension;
+import java.awt.HeadlessException;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
@@ -25,4 +26,5 @@
 import fr.mael.jiwigo.om.Category;
 import fr.mael.jiwigo.service.CategoryService;
+import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
 import fr.mael.jiwigo.transverse.util.Messages;
 import fr.mael.jiwigo.transverse.util.Tools;
@@ -229,19 +231,31 @@
 		if (selectedCategory != null) {
 		    //try to create a category
-		    if (CategoryService.getInstance(Main.sessionManager).create(nomcategorie,
-			    selectedCategory.getIdentifier())) {
-			setUpUi();
-		    } else {
-			JOptionPane.showMessageDialog(null, Messages.getMessage("categoryCreationError"), Messages
-				.getMessage("error"), JOptionPane.ERROR_MESSAGE);
-
+		    try {
+			if (CategoryService.getInstance(Main.sessionManager).create(nomcategorie,
+				selectedCategory.getIdentifier())) {
+			    setUpUi();
+			} else {
+			    JOptionPane.showMessageDialog(null, Messages.getMessage("categoryCreationError"), Messages
+				    .getMessage("error"), JOptionPane.ERROR_MESSAGE);
+
+			}
+		    } catch (HeadlessException e) {
+			LOG.error(Tools.getStackTrace(e));
+		    } catch (ProxyAuthenticationException e) {
+			LOG.error(Tools.getStackTrace(e));
 		    }
 		} else {
-		    if (CategoryService.getInstance(Main.sessionManager).create(nomcategorie)) {
-			setUpUi();
-		    } else {
-			JOptionPane.showMessageDialog(null, Messages.getMessage("categoryCreationError"), Messages
-				.getMessage("error"), JOptionPane.ERROR_MESSAGE);
-
+		    try {
+			if (CategoryService.getInstance(Main.sessionManager).create(nomcategorie)) {
+			    setUpUi();
+			} else {
+			    JOptionPane.showMessageDialog(null, Messages.getMessage("categoryCreationError"), Messages
+				    .getMessage("error"), JOptionPane.ERROR_MESSAGE);
+
+			}
+		    } catch (HeadlessException e) {
+			LOG.error(Tools.getStackTrace(e));
+		    } catch (ProxyAuthenticationException e) {
+			LOG.error(Tools.getStackTrace(e));
 		    }
 		}
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 9431)
@@ -16,4 +16,5 @@
 import fr.mael.jiwigo.transverse.ImagesManagement;
 import fr.mael.jiwigo.transverse.enumeration.PreferencesEnum;
+import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
 import fr.mael.jiwigo.transverse.util.Messages;
 import fr.mael.jiwigo.transverse.util.Tools;
@@ -162,5 +163,7 @@
 		    false));
 	} catch (IOException e1) {
-	    e1.printStackTrace();
+	    LOG.error(Tools.getStackTrace(e1));
+	} catch (ProxyAuthenticationException e) {
+	    LOG.error(Tools.getStackTrace(e));
 	}
 	for (Image image : imagesManagement.getListImage()) {
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 9431)
@@ -7,4 +7,5 @@
 import java.awt.Graphics;
 import java.awt.Graphics2D;
+import java.awt.HeadlessException;
 import java.awt.RenderingHints;
 import java.awt.event.ActionEvent;
@@ -32,5 +33,7 @@
 import fr.mael.jiwigo.service.TagService;
 import fr.mael.jiwigo.transverse.ImagesManagement;
+import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
 import fr.mael.jiwigo.transverse.util.Messages;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.ui.browser.BrowserPanel;
 import fr.mael.jiwigo.ui.layout.VerticalLayout;
@@ -211,5 +214,7 @@
 		dialogChoixTags.setVisible(true);
 	    } catch (IOException e) {
-		e.printStackTrace();
+		LOG.error(Tools.getStackTrace(e));
+	    } catch (ProxyAuthenticationException e) {
+		LOG.error(Tools.getStackTrace(e));
 	    }
 	} else if (arg0.getSource().equals(boutonOkAjouterTag)) {
@@ -221,9 +226,15 @@
 	    tagIds.deleteCharAt(tagIds.lastIndexOf(","));
 	    try {
-		if (!ImageService.getInstance(Main.sessionManager).addTags(image, tagIds.toString())) {
-		    JOptionPane.showMessageDialog(this, Messages.getMessage("addingTagsError"), Messages
-			    .getMessage("error"), JOptionPane.ERROR_MESSAGE);
-		} else {
-		    dialogChoixTags.dispose();
+		try {
+		    if (!ImageService.getInstance(Main.sessionManager).addTags(image, tagIds.toString())) {
+			JOptionPane.showMessageDialog(this, Messages.getMessage("addingTagsError"), Messages
+				.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+		    } else {
+			dialogChoixTags.dispose();
+		    }
+		} catch (HeadlessException e) {
+		    LOG.error(Tools.getStackTrace(e));
+		} catch (ProxyAuthenticationException e) {
+		    LOG.error(Tools.getStackTrace(e));
 		}
 	    } catch (IOException e) {
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java	(revision 9431)
@@ -20,4 +20,6 @@
 import fr.mael.jiwigo.transverse.ImagesManagement;
 import fr.mael.jiwigo.transverse.enumeration.PreferencesEnum;
+import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
+import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.transverse.util.preferences.PreferencesManagement;
 import fr.mael.jiwigo.ui.mainframe.MainFrame;
@@ -76,4 +78,10 @@
     private JLabel labelCategory;
 
+    /**
+     * Logger
+     */
+    public static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory
+	    .getLog(DialogChooseCategory.class);
+
     public DialogChooseCategory(ArrayList<File> filesToSend) {
 	super(MainFrame.getInstance());
@@ -91,4 +99,6 @@
 	} catch (IOException e) {
 	    e.printStackTrace();
+	} catch (ProxyAuthenticationException e) {
+	    LOG.error(Tools.getStackTrace(e));
 	}
 
Index: extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 9431)
@@ -23,5 +23,5 @@
 mainFrame_sendingFiles=Sending files for
 mainFrame_recherche=Search...
-mainFrame_search=Research for 
+mainFrame_search=Research for
 
 #####################################################
@@ -47,5 +47,5 @@
 thumbviewer_closeAll=Close all
 thumbviewer_addTag=Add tags
-thumbviewer_selectTag=Select tags : 
+thumbviewer_selectTag=Select tags :
 
 #####################################################
@@ -91,4 +91,5 @@
 connexionDialog_connexionError=<html><center>Error<br/>Check the fields<br/>(The url must contain "http://")</center></html>
 connexionDialog_sauvegarder=Save informations
+connexionDialog_proxyAuthError=Proxy authentication error. Check the parameters
 
 #####################################################
Index: extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 9431)
@@ -47,5 +47,5 @@
 thumbviewer_closeAll=Close all
 thumbviewer_addTag=Add tags
-thumbviewer_selectTag=Select tags : 
+thumbviewer_selectTag=Select tags :
 
 #####################################################
@@ -92,4 +92,5 @@
 connexionDialog_connexionError=<html><center>Error<br/>Check the fields<br/>(The url must contain "http://")</center></html>
 connexionDialog_sauvegarder=Save informations
+connexionDialog_proxyAuthError=Proxy authentication error. Check the parameters
 
 #####################################################
Index: extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties
===================================================================
--- extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 9393)
+++ extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 9431)
@@ -23,5 +23,5 @@
 mainFrame_sendingFiles=Envoi des fichiers pour
 mainFrame_recherche=Recherche...
-mainFrame_search=Recherche de 
+mainFrame_search=Recherche de
 
 #####################################################
@@ -52,5 +52,5 @@
 #################### Errors  ########################
 #####################################################
-sendingError=Erreur lors de l'envoi de 
+sendingError=Erreur lors de l'envoi de
 categoryCreationError=Erreur lors de la création de la catégorie
 emptyCommentError=Impossible d'envoyer un commentaire vide
@@ -91,4 +91,5 @@
 connexionDialog_connexionError=<html><center>Erreur lors de la connexion.<br/>Assurez vous d'avoir complété les champs correctement<br/>(L'adresse du site doit contenir le "http://")</center></html>
 connexionDialog_sauvegarder=Sauvegarder les informations
+connexionDialog_proxyAuthError=Erreur d'authentification sur le proxy. Vérifier les paramètres
 
 #####################################################