Index: /extensions/piclens/include/Piclens.class.php
===================================================================
--- /extensions/piclens/include/Piclens.class.php	(revision 9447)
+++ /extensions/piclens/include/Piclens.class.php	(revision 9448)
@@ -567,6 +567,14 @@
 	}
 	
-
-	
+  function piclens_stuffs_module($modules)
+  {
+    array_push($modules, array(
+      'path' => PICLENS_PATH.'stuffs_module/',
+      'name' => 'Piclens 3DWall',
+      'description' => l10n('piclens_stuffs_description'),
+      )
+    );
+    return $modules;
+  }
 }
 
Index: /extensions/piclens/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piclens/language/en_UK/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/en_UK/plugin.lang.php	(revision 9448)
@@ -216,3 +216,6 @@
 
 $lang['piclens_rss_title']		= 'Title of the RSS flow <i>(blank for no use)</i>';
+
+$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
+$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 ?>
Index: /extensions/piclens/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piclens/language/es_ES/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/es_ES/plugin.lang.php	(revision 9448)
@@ -217,5 +217,7 @@
 $lang['NonSelectedCat']		= 'Categorías no seleccionados';
 
-// TO TRANSLATE
 $lang['piclens_rss_title']		= 'Nombre del flujo RSS generado <i>(dejar vacío para no visualizarlo)</i>';
+
+/*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
+/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 ?>
Index: /extensions/piclens/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 9448)
@@ -218,3 +218,6 @@
 
 $lang['piclens_rss_title']		= 'Nom du flux RSS généré <i>(vide pour ne pas l\'afficher)</i>';
+
+$lang['piclens_stuffs_description'] = 'Affiche un mur 3D piclens';
+$lang['piclens_stuffs_info_param'] = 'Les paramètres du mur sont à modifier directement dans la page de configuration du plugin <b>Cooliris-piclens</b>';
 ?>
Index: /extensions/piclens/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/piclens/language/hu_HU/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/hu_HU/plugin.lang.php	(revision 9448)
@@ -212,3 +212,6 @@
 
 $lang['piclens_rss_title']		= 'RSS tartalom címe <i>(ha üres, nem lesz cím)</i>';
+
+/*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
+/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 ?>
Index: /extensions/piclens/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/piclens/language/it_IT/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/it_IT/plugin.lang.php	(revision 9448)
@@ -214,3 +214,6 @@
 
 $lang['piclens_rss_title']		= 'Nome del flusso RSS generato <i>(vuoto per non visualizzarlo)</i>';
+
+/*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
+/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 ?>
Index: /extensions/piclens/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/piclens/language/lv_LV/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/lv_LV/plugin.lang.php	(revision 9448)
@@ -230,3 +230,6 @@
 
 $lang['piclens_rss_title']        = 'RSS plūsmas (flow) nosaukums <i>(ja nelieto, tukšs)</i>';
+
+/*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
+/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 ?>
Index: /extensions/piclens/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/piclens/language/no_NO/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/no_NO/plugin.lang.php	(revision 9448)
@@ -216,3 +216,6 @@
 
 $lang['piclens_rss_title']    = 'Tittel på RSS strømmen <i>(sett blank om ikke i bruk)</i>';
+
+/*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
+/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 ?>
Index: /extensions/piclens/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 9447)
+++ /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 9448)
@@ -212,4 +212,7 @@
 
 // TO TRANSLATE
-$lang['piclens_rss_title']		= 'Title of the RSS flow <i>(blank for no use)</i>';
+/*TODO*/$lang['piclens_rss_title']		= 'Title of the RSS flow <i>(blank for no use)</i>';
+
+/*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
+/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 ?>
Index: /extensions/piclens/main.inc.php
===================================================================
--- /extensions/piclens/main.inc.php	(revision 9447)
+++ /extensions/piclens/main.inc.php	(revision 9448)
@@ -41,5 +41,5 @@
 add_event_handler('loc_begin_index', array(&$obj, 'set_make_full_url_piclens'));
 
- 
+add_event_handler('get_stuffs_modules', array(&$obj, 'piclens_stuffs_module'));
 add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'piclens_admin_menu') );
 set_plugin_data($plugin['id'], $obj);
Index: /extensions/piclens/stuffs_module/config.inc.php
===================================================================
--- /extensions/piclens/stuffs_module/config.inc.php	(revision 9448)
+++ /extensions/piclens/stuffs_module/config.inc.php	(revision 9448)
@@ -0,0 +1,10 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+$display_options = & $template->get_template_vars('display_options');
+$display_options['on_picture'] = false;
+
+$template->assign('MODULE_OPTIONS', '<p>'.l10n('piclens_stuffs_info_param').'</p>');
+
+?>
Index: /extensions/piclens/stuffs_module/index.php
===================================================================
--- /extensions/piclens/stuffs_module/index.php	(revision 9448)
+++ /extensions/piclens/stuffs_module/index.php	(revision 9448)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/stuffs_module/main.inc.php
===================================================================
--- /extensions/piclens/stuffs_module/main.inc.php	(revision 9448)
+++ /extensions/piclens/stuffs_module/main.inc.php	(revision 9448)
@@ -0,0 +1,93 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $page;
+
+// RSS Feed only available in category or index gallery
+if (isset($page['section']) and $page['section'] == 'categories')
+{
+  include_once PHPWG_ROOT_PATH.'plugins/piclens/include/Piclens.class.php';
+
+  $obj = new Piclens();
+  $obj->load_config();
+
+  $rssfeed = '';
+
+  if( empty($page['category']))
+  {
+    $rssfeed = $obj->root_site_piclens.PICLENS_PATH.'piclenswall-rss.php?/categories';
+  }
+  else
+  {
+  // remplacement naviagation ne doit pas etre active et mis en place sur la page...
+    if (!@$obj->my_config['piclens_wall_nav'] or !@in_array($page['category']['id'], $obj->my_config['piclens_wall_cat_nav_replace']))
+    {        
+      if (@$obj->my_config['piclens_wall_specif'] == 'common') // pas de specificites 3DWall : utilisation des parametres piclens
+      {
+        $rssfeed = $obj->root_site_piclens.PICLENS_PATH.'piclens-rss.php?/category/'.(empty($page['category']['permalink']) ? $page['category']['id'] : $page['category']['permalink']);
+      }
+      elseif (@in_array($page['category']['id'], $obj->my_config['piclens_wall_categories']))
+      {
+        //  categorie pour laquelle le mur est parametre.
+        $rssfeed = $obj->root_site_piclens.PICLENS_PATH.'piclenswall-rss.php?/category/'.(empty($page['category']['permalink']) ? $page['category']['id'] : $page['category']['permalink']);
+      }
+    }
+  }
+  $block['RSSFEED'] = $rssfeed;
+  $block['PIC_HEIGHT']  = @$obj->my_config['piclens_wall_height']; //$datas[0];
+  $block['COLOR']  = @$obj->my_config['piclens_wall_color']; //$datas[1];
+  $block['SHOWFULLSCREEN'] = (@$obj->my_config['piclens_wall_showfullscreen'] ? "true" : "false");
+  $block['SHOWEMBED'] = (@$obj->my_config['piclens_wall_showembed'] ? "true" : "false");
+  $block['SHOWSEARCH'] = (@$obj->my_config['piclens_wall_showsearch'] ? "true" : "false");
+  $block['TRANSPARENT'] = @$obj->my_config['piclens_wall_transparent'];
+  $block['SWF_LINK'] = (@$obj->my_config['piclens_wall_swflocal'] ? @$obj->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf');
+  $block['NBLIGNE'] = (isset($obj->my_config['piclens_wall_nb_ligne']) ? @$obj->my_config['piclens_wall_nb_ligne'] : "3");
+
+  if (isset($obj->my_config['piclens_wall_showitemembed']))
+    $block['showitemembed'] = (@$obj->my_config['piclens_wall_showitemembed'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showlinkout']))
+    $block['showlinkout'] = (@$obj->my_config['piclens_wall_showlinkout'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showclose']))
+    $block['showclose'] = (@$obj->my_config['piclens_wall_showclose'] ? "true" : "false");    
+  
+  if (isset($obj->my_config['piclens_wall_showChrome']))
+    $block['showChrome'] = (@$obj->my_config['piclens_wall_showChrome'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showDescription']))
+    $block['showDescription'] = (@$obj->my_config['piclens_wall_showDescription'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showReflections']))
+    $block['showReflections'] = (@$obj->my_config['piclens_wall_showReflections'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showTutorial']))
+    $block['showTutorial'] = (@$obj->my_config['piclens_wall_showTutorial'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showNavArrows']))
+    $block['showNavArrows'] = (@$obj->my_config['piclens_wall_showNavArrows'] ? "true" : "false");
+  
+  $block['backgroundAlpha'] = isset($obj->my_config['piclens_wall_backgroundAlpha']) ? $obj->my_config['piclens_wall_backgroundAlpha'] : "1.0";
+  if (isset($obj->my_config['piclens_wall_backgroundColor']))
+    $block['backgroundColor'] = str_replace('#', '%23', @$obj->my_config['piclens_wall_backgroundColor']) ;
+  if (isset($obj->my_config['piclens_wall_glowColor']))
+    $block['glowColor'] = str_replace('#', '%23', @$obj->my_config['piclens_wall_glowColor']);
+  if (isset($obj->my_config['piclens_wall_descriptionHeight']))
+    $block['descriptionHeight'] = @$obj->my_config['piclens_wall_descriptionHeight'];
+  if (isset($obj->my_config['piclens_wall_tilt']))
+    $block['tilt'] = $obj->my_config['piclens_wall_tilt'];
+
+    if (isset($obj->my_config['piclens_wall_backgroundImage']) and !empty($obj->my_config['piclens_wall_backgroundImage']))
+        $block['backgroundImage'] = @$obj->my_config['piclens_wall_backgroundImage'];
+
+    if (isset($obj->my_config['piclens_wall_tutorial']) and !empty($obj->my_config['piclens_wall_tutorial']))
+        $block['tutorial'] = (empty($obj->my_config['piclens_wall_tutorialtime']) ? "4500" : @$obj->my_config['piclens_wall_tutorialtime']).','.@$obj->my_config['piclens_wall_tutorial'];    
+
+
+  if (isset($obj->my_config['piclens_wall_customButtonURL']) and !empty($obj->my_config['piclens_wall_customButtonURL']))
+        $block['customButton'] = @$obj->my_config['piclens_wall_customButtonURL'].(empty($obj->my_config['piclens_wall_customButtonTARGET']) ? ','.PICLENS_PATH : ','.@$obj->my_config['piclens_wall_customButtonTARGET']); 
+
+    if (isset($obj->my_config['piclens_wall_icons']) and !empty($obj->my_config['piclens_wall_icons']))
+        $block['icons'] = @$obj->my_config['piclens_wall_icons']; 
+    if (isset($obj->my_config['piclens_wall_linkCSS']) and !empty($obj->my_config['piclens_wall_linkCSS']))
+        $block['icons'] = @$obj->my_config['piclens_wall_linkCSS'];
+
+  $block['TEMPLATE'] = realpath(PICLENS_PATH.'stuffs_piclenswall.tpl');
+}
+
+?>
Index: /extensions/piclens/stuffs_piclenswall.tpl
===================================================================
--- /extensions/piclens/stuffs_piclenswall.tpl	(revision 9448)
+++ /extensions/piclens/stuffs_piclenswall.tpl	(revision 9448)
@@ -0,0 +1,18 @@
+{if !empty($block.RSSFEED)}
+<object id="o" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="100%" height="{$block.PIC_HEIGHT}">
+        <param name="movie" value="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}" />
+        <param name="allowFullScreen" value="{$block.SHOWFULLSCREEN}" />
+        <param name="showEmbed" value="{$block.SHOWEMBED}" />
+        <param name="showSearch" value="{$block.SHOWSEARCH}" />
+        <param name="showItemEmbed" value="{$block.showitemembed}" />
+        <param name="showLinkOut" value="{$block.showlinkout}" />
+        <param name="showClose" value="{$block.showclose}" />
+        <param name="allowScriptAccess" value="always" />
+        <param name="flashvars" value="feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}{if isset($block.showitemembed)}&amp;showitemembed={$block.showitemembed}{/if}{if isset($block.showlinkout)}&amp;showlinkout={$block.showlinkout}{/if}{if isset($block.showclose)}&amp;showclose={$block.showclose}{/if}" />
+        {if $block.TRANSPARENT}
+        <param name="wmode" value="transparent" />
+    {/if}
+        <embed {if $block.TRANSPARENT}WMODE="transparent" {/if}type="application/x-shockwave-flash" src="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}{if isset($block.showitemembed)}&amp;showitemembed={$block.showitemembed}{/if}{if isset($block.showlinkout)}&amp;showlinkout={$block.showlinkout}{/if}{if isset($block.showclose)}&amp;showclose={$block.showclose}{/if}" width="100%" height="{$block.PIC_HEIGHT}" showEmbed="{$block.SHOWEMBED}" showSearch="{$block.SHOWSEARCH}" allowFullScreen="{$block.SHOWFULLSCREEN}" allowScriptAccess="always"  style="{$block.COLOR}" numRows="{$block.NBLIGNE} {if isset($block.showChrome)}showChrome="{$block.showChrome}"{/if} {if isset($block.showDescription)}showDescription="{$block.showDescription}"{/if} {if isset($block.showReflections)}showReflections="{$block.showReflections}"{/if} {if isset($block.showTutorial)}showTutorial="{$block.showTutorial}"{/if} {if isset($block.showNavArrows)}showNavArrows="{$block.showNavArrows}"{/if} {if isset($block.backgroundAlpha)}backgroundAlpha="{$block.backgroundAlpha}"{/if} {if isset($block.backgroundColor)}backgroundColor="{$block.backgroundColor}"{/if} {if isset($block.glowColor)}glowColor="{$block.glowColor}"{/if} {if isset($block.descriptionHeight)}descriptionHeight="{$block.descriptionHeight}"{/if} {if isset($block.tilt)}tilt="{$block.tilt}"{/if} {if isset($block.backgroundImage)}backgroundImage="{$block.backgroundImage}"{/if} {if isset($block.tutorial)}tutorial="{$block.tutorial}"{/if} {if isset($block.customButton)}customButton="{$block.customButton}"{/if} {if isset($block.icons)}icons="{$block.icons}"{/if} {if isset($block.linkCSS)}linkCSS="{$block.linkCSS}"{/if}/>
+</object>
+{/if}
+    