Index: /extensions/PWG_Stuffs/admin/manage.inc.php
===================================================================
--- /extensions/PWG_Stuffs/admin/manage.inc.php	(revision 9448)
+++ /extensions/PWG_Stuffs/admin/manage.inc.php	(revision 9449)
@@ -30,5 +30,5 @@
     pwg_query('
 UPDATE ' . STUFFS_TABLE . '
-SET datas = "'.addslashes(serialize(array('hide' => isset($_POST['hidemb'])))).'"
+SET datas = "'.addslashes(serialize(!isset($_POST['hidemb']))).'"
 WHERE id=0;');
 
@@ -60,9 +60,16 @@
   $module['name'] = !empty($module['path']) ? $module['name'] : l10n('stuffs_main_block');
 
-  $missing = false;
+  $missing_message = '';
+  if ($module['path'] == PHPWG_PLUGINS_PATH.'piclens/stuffs_module/' and !file_exists(PICLENS_PATH.'stuffs_module/main.inc.php'))
+  {
+    $missing_message = l10n('stuffs_piclens_need_upgrade');
+  }
   if (!empty($module['path']))
   {
     preg_match('#^'.preg_quote(PHPWG_PLUGINS_PATH).'([^/]*?)/#', $module['path'], $match);
-    $missing = !isset($pwg_loaded_plugins[$match[1]]);
+    if (!isset($pwg_loaded_plugins[$match[1]]))
+    {
+      $missing_message = l10n('stuffs_parent_plugin_is_missing');
+    }
   }
 
@@ -80,12 +87,12 @@
     'U_EDIT' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;tab=edit_module&amp;edit='.$module['id'],
     'U_DELETE' => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;del=' . $module['id'] : '',
-    'MISSING' => $missing,
+    'MISSING' => $missing_message,
     )
   );
 
-  if (empty($module['path']) and !empty($module['datas']))
+  if (empty($module['path']))
   {
-    $datas = unserialize($module['datas']);
-    $template->assign('HIDEMB', $datas['hide']); 
+    $show = unserialize($module['datas']);
+    $template->assign('HIDEMB', !$show); 
   }
 }
Index: /extensions/PWG_Stuffs/admin/template/manage.tpl
===================================================================
--- /extensions/PWG_Stuffs/admin/template/manage.tpl	(revision 9448)
+++ /extensions/PWG_Stuffs/admin/template/manage.tpl	(revision 9449)
@@ -63,5 +63,5 @@
           <input type="text" size="2" maxlength="2" value="{$module.WIDTH}" name="width[{$module.ID}]" > %
         </li>
-        {if !$module.MISSING}
+        {if empty($module.MISSING)}
         <li><a href="{$module.U_EDIT}" title="{'stuffs_edit'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'stuffs_edit'|@translate}"/></a></li>
         {/if}
@@ -78,6 +78,6 @@
       </p>
 
-      {if $module.MISSING}
-        <p style="margin-left: 30px;">{'stuffs_parent_plugin_is_missing'|@translate}</p> 
+      {if !empty($module.MISSING)}
+        <p style="margin-left: 30px;">{$module.MISSING}</p> 
       {elseif !empty($module.DESC)}
         <p style="margin-left: 30px;"><i>{$module.DESC}</i></p>
Index: /extensions/PWG_Stuffs/admin/template/new.tpl
===================================================================
--- /extensions/PWG_Stuffs/admin/template/new.tpl	(revision 9448)
+++ /extensions/PWG_Stuffs/admin/template/new.tpl	(revision 9449)
@@ -3,23 +3,19 @@
 </div>
 
-<form method="post" action="" class="general">
+<form method="post" action="" class="properties">
 
-<fieldset>
-	<legend>{'stuffs_add_mod'|@translate}</legend>
-
-	<table>
-	{foreach from=$add_module item=module}
-	<tr>
-		<td><input type="radio" value="{$module.MODULE_PATH}" name="module"/>
-			<b>{$module.NAME}</b> : {$module.DESC}</td>
-	</tr>
-	{/foreach}
-	</table>
-<br>
-<div style="text-align:center;">
-<input class="submit" name="addModule" type="submit" value="{'stuffs_add_mod'|@translate}" {$TAG_INPUT_ENABLED} />
-</div>
-
+<fieldset id="indexDisplayConf" style="padding-top:25px;">
+  <legend>{'stuffs_add_mod'|@translate}</legend>
+  <ul>
+    {foreach from=$add_module item=module}
+    <li>
+      <label>
+        <span class="property">{$module.NAME} <span style="font-weight:normal;">: {$module.DESC}</span></span>
+        <input type="radio" value="{$module.MODULE_PATH}" name="module"/>
+      </label>
+    </li>
+    {/foreach}
+  </ul>
 </fieldset>
-
+<p><input class="submit" name="addModule" type="submit" value="{'stuffs_add_mod'|@translate}"/></p>
 </form>
Index: /extensions/PWG_Stuffs/admin/upgrade.inc.php
===================================================================
--- /extensions/PWG_Stuffs/admin/upgrade.inc.php	(revision 9448)
+++ /extensions/PWG_Stuffs/admin/upgrade.inc.php	(revision 9449)
@@ -5,9 +5,9 @@
 global $prefixeTable, $conf;
 
-$query = 'SHOW FULL COLUMNS FROM ' . $prefixeTable . 'stuffs;';
+$query = 'SHOW FULL COLUMNS FROM '.STUFFS_TABLE.';';
 $result = array_from_query($query, 'Field');
 if ($result[5] == 'params')
 {
-  $query = 'ALTER TABLE ' . $prefixeTable . 'stuffs
+  $query = 'ALTER TABLE '.STUFFS_TABLE.'
 MODIFY COLUMN name TEXT CHARACTER SET utf8 NOT NULL,
 MODIFY COLUMN descr VARCHAR(255) CHARACTER SET utf8 default NULL,
@@ -30,5 +30,5 @@
   pwg_query($query);
   
-  $query = 'SELECT id, name, type, params, datas FROM ' . $prefixeTable . 'stuffs;';
+  $query = 'SELECT id, name, type, params, datas FROM '.STUFFS_TABLE.';';
   $result = pwg_query($query);
   
@@ -76,5 +76,5 @@
   }
 
-  $query = 'ALTER TABLE ' . $prefixeTable . 'stuffs DROP params;';
+  $query = 'ALTER TABLE '.STUFFS_TABLE.' DROP params;';
   pwg_query($query);
 
@@ -86,9 +86,12 @@
 }
 
-$query = 'SHOW FULL COLUMNS FROM ' . $prefixeTable . 'stuffs;';
+$query = 'SHOW FULL COLUMNS FROM '.STUFFS_TABLE.';';
 $result = array_from_query($query, 'Field');
 if ($result[4] != 'path')
 {
-  $query = 'ALTER TABLE ' . $prefixeTable . 'stuffs
+  $path = $plugin['id'];
+  $conf['Stuffs'] = array();
+
+  $query = 'ALTER TABLE '.STUFFS_TABLE.'
 CHANGE `type` `path` VARCHAR( 255 ) NULL DEFAULT NULL,
 ADD `level` TINYINT( 3 ) NOT NULL default "0" AFTER `groups`,
@@ -97,26 +100,56 @@
   pwg_query($query);
 
-  $query = 'UPDATE ' . $prefixeTable . 'stuffs
+  $query = 'UPDATE '.STUFFS_TABLE.'
 SET on_root = "false"
-WHERE on_cats = "false"
+WHERE on_cats <> "true"
 ;';
   pwg_query($query);
 
-  $query = 'UPDATE ' . $prefixeTable . 'stuffs
-SET path = CONCAT("'.PHPWG_ROOT_PATH.'", "plugins/PWG_Stuffs/", path, "/")
-WHERE path <> "MainBlock"
+  $query = 'SELECT * FROM '.STUFFS_TABLE.';';
+  $result = pwg_query($query);
+
+  while ($row = pwg_db_fetch_assoc($result))
+  {
+    if ($row['path'] == 'Personal')
+    {
+      $data = unserialize($row['datas']);
+      $row['datas'] = serialize($data[0]);
+    }
+    if ($row['path'] == 'piclenswall')
+    {
+      $row['path'] = PHPWG_PLUGINS_PATH.'piclens/stuffs_module/';
+      $conf['Stuffs']['piclens_upgrade'] = true;
+    }
+    elseif ($row['path'] != 'MainBlock')
+    {
+      $row['path'] = PHPWG_PLUGINS_PATH.$path.'/modules/'.$row['path'].'/';
+    }
+    else
+    {
+      // Main Block
+      $row['path'] = null;
+      if (!empty($row['datas']))
+      {
+        $data = unserialize($row['datas']);
+        $row['datas'] = serialize(!$data['hide']);
+      }
+      else
+      {
+        $row['datas'] = serialize(true);
+      }
+    }
+
+    $query = 'UPDATE '.STUFFS_TABLE.'
+SET path = '.(is_null($row['path']) ? 'NULL' : '"'.$row['path'].'"').',
+    datas = "'.addslashes($row['datas']).'"
+WHERE id = '.$row['id'].'
 ;';
-  pwg_query($query);
+    pwg_query($query);
+  }
 
-  $query = 'UPDATE ' . $prefixeTable . 'stuffs
-SET path = NULL
-WHERE path = "MainBlock"
-;';
-  pwg_query($query);
-
-  $conf['Stuffs'] = array('level_perm' => false);
+  $conf['Stuffs']['level_perm'] = false;
 
   $query = 'SELECT id
-FROM '.$prefixeTable.'stuffs
+FROM '.STUFFS_TABLE.'
 WHERE users <> "guest,generic,normal,admin,webmaster"
 ;';
@@ -125,5 +158,5 @@
 
   $query = 'SELECT id
-FROM '.$prefixeTable.'stuffs
+FROM '.STUFFS_TABLE.'
 WHERE groups IS NOT NULL
 ;';
@@ -132,6 +165,25 @@
 
   $query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-VALUES ("PWG_Stuffs" , "'.pwg_db_real_escape_string(serialize($conf['Stuffs'])).'" , "PWG Stuffs configuration");';
-  pwg_query($query);  
+VALUES ("PWG_Stuffs" , "'.pwg_db_real_escape_string(serialize($conf['Stuffs'])).'" , "PWG Stuffs plugin configuration");';
+  pwg_query($query);
+}
+
+// Display Piclens upgrade message
+if (isset($conf['Stuffs']['piclens_upgrade']) and isset($menu))
+{
+  if (file_exists(PHPWG_PLUGINS_PATH.'piclens/stuffs_module/main.inc.php'))
+  {
+    unset($conf['Stuffs']['piclens_upgrade']);
+  }
+  else
+  {
+    if (get_db_plugins('active','piclens'))
+    {
+      global $page;
+      load_language('plugin.lang', STUFFS_PATH);
+      array_push($page['errors'], l10n('stuffs_piclens_need_upgrade'));
+    }
+  }
+  conf_update_param('PWG_Stuffs', pwg_db_real_escape_string(serialize($conf['Stuffs'])));
 }
 
Index: /extensions/PWG_Stuffs/class.inc.php
===================================================================
--- /extensions/PWG_Stuffs/class.inc.php	(revision 9448)
+++ /extensions/PWG_Stuffs/class.inc.php	(revision 9449)
@@ -81,7 +81,6 @@
       {
         $this->pos = 'end';
-        if (!empty($module['datas'])
-          and $datas = unserialize($module['datas'])
-          and $datas['hide'])
+        $show = unserialize($module['datas']);
+        if (!$show)
         {
           add_event_handler('loc_end_index', 'hide_main_block');
@@ -189,5 +188,5 @@
   {
     $css = array(
-      '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/PWG_Stuffs/theme/stuffs_index.css">'
+      '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/'.STUFFS_DIR.'/theme/stuffs_index.css">'
     );
 
@@ -208,5 +207,5 @@
   {
     $css = array(
-      '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/PWG_Stuffs/theme/stuffs_picture.css">'
+      '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/'.STUFFS_DIR.'/theme/stuffs_picture.css">'
     );
 
Index: /extensions/PWG_Stuffs/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 9448)
+++ /extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 9449)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Are you sure you want to delete module %s?';
 $lang['stuffs_main_block'] = 'Main block';
+$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Add new module';
@@ -28,8 +29,8 @@
 $lang['stuffs_show_module_on'] = 'Show module :';
 $lang['stuffs_show_on_home'] = 'On main page';
+$lang['stuffs_show_on_root'] = 'On categories root page';
 $lang['stuffs_show_on_cats'] = 'On all categories pages';
 $lang['stuffs_show_on_picture'] = 'On picture pages';
 $lang['stuffs_no_options'] = 'No options for this module';
-$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_perm'] = 'Activate authorization management:';
@@ -37,9 +38,11 @@
 $lang['stuffs_user_perm'] = 'by user type';
 $lang['stuffs_level_perm'] = 'by privacy level';
-$lang['stuffs_show_on_root'] = 'On root categories';
+
+$lang['stuffs_select_all'] = 'Select all';
+$lang['stuffs_unselect_all'] = 'Unselect all';
 
 //Messages d'infos
 $lang['stuffs_order_saved'] = 'Order successfully saved.';
-
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
 
 // Messages d'erreurs
@@ -47,4 +50,5 @@
 $lang['stuffs_no_name'] = 'You must specify name module';
 $lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this module or re-activate parent plugin.';
+$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
 
 //------------------------------------------------------------------------------
@@ -65,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Frame height';
 
-
 //------------------------------------------------------------------------------
 //              Module Logon
@@ -75,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Remove "Quick connect" block from menubar';
 
-
 //------------------------------------------------------------------------------
 //              Module Personal
@@ -84,5 +86,4 @@
 
 $lang['personal_content'] = 'content';
-
 
 //------------------------------------------------------------------------------
@@ -97,21 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Group by lettters';
 $lang['stuffs_tags_cumulus'] = 'Use cumulus mode (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> must be installed)';
-
-
-//------------------------------------------------------------------------------
-//              Module Piclenswall
-//------------------------------------------------------------------------------
-
-$lang['module_name_piclenswall'] = 'Piclens 3DWall';
-$lang['module_desc_piclenswall'] = 'Display piclens 3D wall (plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> must be installed)';
-
-$lang['piclenswall_height'] = 'Wall height';
-$lang['piclenswall_background_color'] = 'Background color';
-$lang['piclenswall_black'] = 'Black';
-$lang['piclenswall_white'] = 'White';
-$lang['piclenswall_info'] = 'So that the wall is working properly';
-$lang['piclenswall_info_piclens'] = 'You must install and activate <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> plugin.';
-$lang['piclenswall_info_crossdomain'] = 'You must copy <a href="%s">crossdomain.xml</a> file to the root of your site (or moddify existing file).';
-$lang['piclenswall_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
 
 //------------------------------------------------------------------------------
Index: /extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php	(revision 9448)
+++ /extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php	(revision 9449)
@@ -29,4 +29,5 @@
 $lang['stuffs_show_module_on'] = 'Afficher le module :';
 $lang['stuffs_show_on_home'] = 'Sur la page d\'accueil du site';
+$lang['stuffs_show_on_root'] = 'A la racine des catégories';
 $lang['stuffs_show_on_cats'] = 'Sur toutes les pages des catégories';
 $lang['stuffs_show_on_picture'] = 'Sur les pages des images';
@@ -37,9 +38,11 @@
 $lang['stuffs_user_perm'] = 'par type d\'utilisateurs';
 $lang['stuffs_level_perm'] = 'par niveau de confidentialité';
-$lang['stuffs_show_on_root'] = 'A la racine des catégories';
+
+$lang['stuffs_select_all'] = 'Sélectionner tout';
+$lang['stuffs_unselect_all'] = 'Déselectionner tout';
 
 //Messages d'infos
 $lang['stuffs_order_saved'] = 'L\'ordre a été sauvegardé.';
-
+$lang['stuffs_upgrade_message'] = 'Le plugin PWG Stuffs a été renommé. Il s\'appelle désormais "Blocks".';
 
 // Messages d'erreurs
@@ -47,4 +50,5 @@
 $lang['stuffs_no_name'] = 'Vous devez indiquer un nom pour le module';
 $lang['stuffs_parent_plugin_is_missing'] = 'LE PLUGIN PARENT N\'EST PLUS ACTIVÉ. Veuillez supprimer ce module ou réactiver le plugin parent.';
+$lang['stuffs_piclens_need_upgrade'] = 'LE PLUGIN PICLENS DOIT ÊTRE MIS À JOUR. PWG Stuffs n\'est pas compatible avec cette version de Piclens.';
 
 //------------------------------------------------------------------------------
@@ -65,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Hauteur des cadres';
 
-
 //------------------------------------------------------------------------------
 //              Module Logon
@@ -75,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Retirer le bloc "identification rapide" du menubar';
 
-
 //------------------------------------------------------------------------------
 //              Module Personal
@@ -84,5 +86,4 @@
 
 $lang['personal_content'] = 'contenu';
-
 
 //------------------------------------------------------------------------------
@@ -97,21 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Regrouper par lettres';
 $lang['stuffs_tags_cumulus'] = 'Utiliser le mode Cumulus (le plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> doit etre installé)';
-
-
-//------------------------------------------------------------------------------
-//              Module Piclenswall
-//------------------------------------------------------------------------------
-
-$lang['module_name_piclenswall'] = 'Piclens 3DWall';
-$lang['module_desc_piclenswall'] = 'Affiche un mur 3D piclens (le plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> doit etre installé)';
-
-$lang['piclenswall_height'] = 'Hauteur du mur Cooliris';
-$lang['piclenswall_background_color'] = 'Couleur de l\'arrière plan';
-$lang['piclenswall_black'] = 'Noir';
-$lang['piclenswall_white'] = 'Blanc';
-$lang['piclenswall_info'] = 'Important pour que 3DWall fonctionne';
-$lang['piclenswall_info_piclens'] = 'Vous devez installer et activer le plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a>.';
-$lang['piclenswall_info_crossdomain'] = 'Vous devez copier le fichier <a href="%s">crossdomain.xml</a> à la racine du site (ou modifier le fichier existant).';
-$lang['piclenswall_info_param'] = 'Les paramètres du mur sont à modifier directement dans la page de configuration du plugin <b>Cooliris-piclens</b>';
 
 //------------------------------------------------------------------------------
Index: /extensions/PWG_Stuffs/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/main.inc.php	(revision 9448)
+++ /extensions/PWG_Stuffs/main.inc.php	(revision 9449)
@@ -13,9 +13,9 @@
 global $prefixeTable, $conf;
 
+$conf['Stuffs'] = @unserialize($conf['PWG_Stuffs']);
+
 define('STUFFS_DIR' , basename(dirname(__FILE__)));
 define('STUFFS_PATH' , PHPWG_PLUGINS_PATH . STUFFS_DIR . '/');
 define('STUFFS_TABLE' , $prefixeTable . 'stuffs');
-
-$conf['Stuffs'] = @unserialize($conf['PWG_Stuffs']);
 
 // Need upgrade?
@@ -25,4 +25,9 @@
 function stuffs_admin_menu($menu)
 {
+  global $conf;
+
+  if (isset($conf['Stuffs']['piclens_upgrade']))
+    include('admin/upgrade.inc.php');
+
   array_push($menu, array(
     'NAME' => 'PWG Stuffs',
Index: /extensions/PWG_Stuffs/maintain.inc.php
===================================================================
--- /extensions/PWG_Stuffs/maintain.inc.php	(revision 9448)
+++ /extensions/PWG_Stuffs/maintain.inc.php	(revision 9449)
@@ -35,6 +35,6 @@
     pwg_query($q);
   
-    $q = "INSERT INTO `" . $prefixeTable . "stuffs` (`id`, `pos`, `name`, `users`, `show_title`, `on_home`, `on_cats`, `on_picture`) 
-VALUES (0, 1, 'MainBlock', 'guest,generic,normal,admin,webmaster', 'true', 'true', 'true', 'true');";
+    $q = "INSERT INTO `" . $prefixeTable . "stuffs` (`id`, `pos`, `name`, `datas`, `users`, `show_title`, `on_home`, `on_cats`, `on_picture`) 
+VALUES (0, 1, 'MainBlock', '".addslashes(serialize(true))."', 'guest,generic,normal,admin,webmaster', 'true', 'true', 'true', 'true');";
     pwg_query($q);
   }
@@ -49,5 +49,5 @@
 
     $query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-VALUES ("PWG_Stuffs" , "'.pwg_db_real_escape_string(serialize($config)).'" , "PWG Stuffs configuration");';
+VALUES ("PWG_Stuffs" , "'.pwg_db_real_escape_string(serialize($config)).'" , "PWG Stuffs plugin configuration");';
     pwg_query($query);
   }
Index: /extensions/PWG_Stuffs/modules/Personal/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/Personal/config.inc.php	(revision 9448)
+++ /extensions/PWG_Stuffs/modules/Personal/config.inc.php	(revision 9449)
@@ -7,13 +7,10 @@
 // Enregistrement de la configuration
 if (isset($_POST['submit']) and !is_adviser()) {
-  $datas = array(stripslashes($_POST['personal_content']));
+  $datas = stripslashes($_POST['personal_content']);
 }
 
 // Parametrage du template
 $template->assign('cat_style', array());
-$template->assign(array('PERSONAL_CONTENT' => $datas[0]));
-
-// TinyMCE
-trigger_action('tinymce', 'pwgstuffs');
+$template->assign(array('PERSONAL_CONTENT' => $datas));
 
 $template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
Index: /extensions/PWG_Stuffs/modules/Personal/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/Personal/main.inc.php	(revision 9448)
+++ /extensions/PWG_Stuffs/modules/Personal/main.inc.php	(revision 9449)
@@ -3,5 +3,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-$block['CONTENT'] = $datas[0];
+$block['CONTENT'] = $datas;
 
 // Extended description