Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/ghosttracker.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/ghosttracker.tpl	(revision 9458)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/ghosttracker.tpl	(revision 9459)
@@ -1,6 +1,6 @@
-{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
-{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
-{combine_script id="jquery.tablesorter" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
-{combine_script id="jquery.tablesorter.pager" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
+{combine_script id='jquery' path='themes/default/js/jquery.min.js'}
+{combine_script id='jquery.cluetip' require='jquery' path='themes/default/js/plugins/jquery.cluetip.packed.js'}
+{combine_script id='jquery.tablesorter' require='jquery' path=$UAM_PATH|@cat:'admin/template/js/jquery.tablesorter.min.js'}
+{combine_script id='jquery.tablesorter.pager' require='jquery' path=$UAM_PATH|@cat:'admin/template/js/jquery.tablesorter.pager.js'}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}
Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 9458)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 9459)
@@ -1,4 +1,4 @@
-{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
-{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+{combine_script id='jquery' path='themes/default/js/jquery.min.js'}
+{combine_script id='jquery.cluetip' require='jquery' path='themes/default/js/plugins/jquery.cluetip.packed.js'}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}
Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/userlist.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/userlist.tpl	(revision 9458)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/userlist.tpl	(revision 9459)
@@ -1,6 +1,6 @@
-{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
-{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
-{combine_script id="jquery.tablesorter" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
-{combine_script id="jquery.tablesorter.pager" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
+{combine_script id='jquery' path='themes/default/js/jquery.min.js'}
+{combine_script id='jquery.cluetip' require='jquery' path='themes/default/js/plugins/jquery.cluetip.packed.js'}
+{combine_script id='jquery.tablesorter' require='jquery' path=$UAM_PATH|@cat:'admin/template/js/jquery.tablesorter.min.js'}
+{combine_script id='jquery.tablesorter.pager' require='jquery' path=$UAM_PATH|@cat:'admin/template/js/jquery.tablesorter.pager.js'}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}
Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/usermanager.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/usermanager.tpl	(revision 9458)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/usermanager.tpl	(revision 9459)
@@ -1,6 +1,6 @@
-{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
-{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
-{combine_script id="jquery.tablesorter" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
-{combine_script id="jquery.tablesorter.pager" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
+{combine_script id='jquery' path='themes/default/js/jquery.min.js'}
+{combine_script id='jquery.cluetip' require='jquery' path='themes/default/js/plugins/jquery.cluetip.packed.js'}
+{combine_script id='jquery.tablesorter' require='jquery' path=$UAM_PATH|@cat:'admin/template/js/jquery.tablesorter.min.js'}
+{combine_script id='jquery.tablesorter.pager' require='jquery' path=$UAM_PATH|@cat:'admin/template/js/jquery.tablesorter.pager.js'}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}