Index: extensions/Autosize/language/sk_SK/description.txt
===================================================================
--- extensions/Autosize/language/sk_SK/description.txt	(revision 9462)
+++ extensions/Autosize/language/sk_SK/description.txt	(revision 9462)
@@ -0,0 +1,1 @@
+Povolenie automatickej zmeny veľkosti v závislosti od veľkosti okna exploreru.
Index: extensions/Autosize/language/sk_SK/index.php
===================================================================
--- extensions/Autosize/language/sk_SK/index.php	(revision 9462)
+++ extensions/Autosize/language/sk_SK/index.php	(revision 9462)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 6934 2010-09-15 20:24:46Z ddtddt $
+// | last update   : $Date: 2010-09-15 22:24:46 +0200 (st, 15 IX 2010) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 6934 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Autosize/language/sk_SK/lang.php
===================================================================
--- extensions/Autosize/language/sk_SK/lang.php	(revision 9462)
+++ extensions/Autosize/language/sk_SK/lang.php	(revision 9462)
@@ -0,0 +1,38 @@
+<?php
+global $lang;
+
+$lang['cl_autosize_miniheight2'] = 'Minimálna výška fotografie';
+$lang['cl_autosize_miniwidth2'] = 'Minimálna šírka fotografie';
+$lang['cl_autosize_hlp_line32'] = "Minimálna veľkosť fotografie. "  ;
+
+$lang['cl_autosize_enabled'] = "Povolené";
+$lang['cl_autosize_desc_view'] = "Vrátane popisu a licencie."; 
+$lang['cl_autosize_icon_view'] = "Ukázať ikonu na paneli nástrojov";
+$lang['cl_autosize_info_2'] = "Nemeniť veľkosť obrazovky.";
+$lang['cl_autosize_info'] = 'Povolenie automatickej zmeny veľkosti v závislosti od veľkosti okna exploreru.';
+$lang['cl_autosize_Howto'] = 'Ovládanie obrazovky';
+
+$lang['cl_autosize_config_title_1'] = 'Maximálne hodnoty ovládania';
+
+$lang['cl_autosize_hlp_line1'] = 'Maximálna veľkosť obrazovky zachovávajúci stav používateľa.<br>Hodnoty sú definované percentami (%) alebo pixlami (px).';
+
+$lang['cl_autosize_height'] = 'Výška';
+$lang['cl_autosize_width'] = 'Šírka';
+
+$lang['cl_autosize_config_title_2'] = 'Minimálne hodnoty';
+$lang['cl_autosize_hlp_line2'] = 'Minimálna veľkosť fotografie pri aktivácii automatickej zmeny veľkosti.';
+$lang['cl_autosize_miniheight'] = 'Minimálna výška';
+$lang['cl_autosize_miniwidth'] = 'Minimálna šírka';
+
+$lang['cl_autosize_hlp_line3'] = 'Automatická zmena veľkosti bude deaktivovaná, ak veľkosť fotografie bude zobrazená menšia ako nastavená hodnota.';
+
+$lang['cl_autosize_echelle_max'] = 'Maximálna mierka.'; 
+$lang['cl_autosize_hlp_line4'] = 'Automatická zmena veľkosti bude upravená na požadovanú veľkosť, ak zväčšovací pomer (skutočnej veľkosti fotografie / zobrazená veľkosť fotografie) je väčia.'; 
+
+$lang['cl_autosize_marge_basse'] = 'Tlačidlo okraju.';
+$lang['cl_autosize_hlp_line5'] = 'Tlačidlo ukladajúce priestor pre zobrazenie popisu';
+
+$lang['cl_autosize_save'] = 'Uložiť';
+
+$lang['cl_autosize_save_config'] = 'Uloženie konfigurácie.';
+?>