Index: /extensions/exif_view/language/sk_SK/description.txt
===================================================================
--- /extensions/exif_view/language/sk_SK/description.txt	(revision 9463)
+++ /extensions/exif_view/language/sk_SK/description.txt	(revision 9463)
@@ -0,0 +1,1 @@
+Konvertovanie EXIF hodnôt na lokalizované hodnoty. Korešponduje s EXIF špecifikáciou 2.2, detail na http://www.exif.org.
Index: /extensions/exif_view/language/sk_SK/lang.exif.php
===================================================================
--- /extensions/exif_view/language/sk_SK/lang.exif.php	(revision 9462)
+++ /extensions/exif_view/language/sk_SK/lang.exif.php	(revision 9463)
@@ -1,16 +1,90 @@
 <?php
-
+//$lang_info['language_name'] = 'Slovak';
+//$lang_info['country'] = 'Slovak Republic';
+//$lang_info['charset'] = 'UTF-8';
+//$lang_info['direction'] = 'ltr';
+//$lang_info['code'] = 'sk';
 global $lang;
 
+$lang['exif_field_Contrast'] = 'Kontrast';
+$lang['exif_field_DateTimeOriginal'] = 'Vytvorené';
+$lang['exif_field_DigitalZoomRatio'] = 'Digitálny zoom';
+$lang['exif_field_ExifVersion'] = 'EXIF';
+$lang['exif_field_ExposureBiasValue'] = 'Kompenzácia expozície';
+$lang['exif_field_ExposureMode'] = 'Meranie expozície';
+$lang['exif_field_ExposureProgram'] = 'Expozičný program';
+$lang['exif_field_ExposureTime'] = 'Čas';
+$lang['exif_field_FNumber'] = 'Clonové číslo';
+$lang['exif_field_Flash'] = 'Blesk';
+$lang['exif_field_FocalLength'] = 'Ohnisko';
+$lang['exif_field_FocalLengthIn35mmFilm'] = 'Ohnisko 35mm film';
+$lang['exif_field_ISOSpeedRatings'] = 'Citlivosť ISO';
+$lang['exif_field_LightSource'] = 'Zdroj svetla';
 $lang['exif_field_Make'] = 'Značka';
+$lang['exif_field_MeteringMode'] = 'Režim merania expozície';
 $lang['exif_field_Model'] = 'Model';
-$lang['exif_field_DateTimeOriginal'] = 'Vytvorené';
-$lang['exif_field_ApertureFNumber'] = 'Clona';
-$lang['exif_field_ExposureTime'] = 'Čas';
-$lang['exif_field_ISOSpeedRatings'] = 'ISO';
-$lang['exif_field_FocalLength'] = 'Ohnisko';
-$lang['exif_field_ExposureBiasValue'] = 'Korekcia';
-$lang['exif_field_ExposureProgram'] = 'Program';
-$lang['exif_field_Flash'] = 'Blesk';
+$lang['exif_field_Saturation'] = 'Saturácia';
+$lang['exif_field_Sharpness'] = 'Ostrosť';
+$lang['exif_field_Software'] = 'EXIF softvér';
+$lang['exif_field_WhiteBalance'] = 'Vyváženie bielej';
+$lang['exif_value_contrast_hard'] = 'vysoký';
+$lang['exif_value_contrast_normal'] = 'normálny';
+$lang['exif_value_contrast_soft'] = 'nízky';
+$lang['exif_value_exposure_mode_auto'] = 'auto';
+$lang['exif_value_exposure_mode_auto_bracket'] = 'auto bracket';
+$lang['exif_value_exposure_mode_manual'] = 'ručný';
+$lang['exif_value_exposure_program_action'] = 'akcia';
+$lang['exif_value_exposure_program_aperture'] = 'priorita clony';
+$lang['exif_value_exposure_program_creative'] = 'kreatívny';
+$lang['exif_value_exposure_program_landscape'] = 'krajina';
+$lang['exif_value_exposure_program_manual'] = 'ručný';
+$lang['exif_value_exposure_program_normal'] = 'normálny';
+$lang['exif_value_exposure_program_not_defined'] = 'nedefinovaný';
+$lang['exif_value_exposure_program_portrait'] = 'portrét';
+$lang['exif_value_exposure_program_shutter'] = 'priorita uzávierky';
+$lang['exif_value_flash_mode'] = 'režim';
+$lang['exif_value_flash_mode_auto'] = 'auto';
+$lang['exif_value_flash_mode_compulsory'] = 'povinne';
+$lang['exif_value_flash_mode_supress'] = 'zakázaný';
+$lang['exif_value_flash_mode_unknown'] = 'neznámy';
+$lang['exif_value_flash_return_light_detected'] = 'detekované zadné svetlo';
+$lang['exif_value_flash_return_light_not_detected'] = 'nedetekované zadné svetlo';
+$lang['exif_value_light_source_D50'] = 'D50';
+$lang['exif_value_light_source_D55'] = 'D55';
+$lang['exif_value_light_source_D65'] = 'D65';
+$lang['exif_value_light_source_D75'] = 'D75';
+$lang['exif_value_light_source_cloudy_weather'] = 'zamračené počasie';
+$lang['exif_value_light_source_coolwhite_fluorescent_w'] = 'teplá žiarivka (W 3900 – 4500K)';
+$lang['exif_value_light_source_daylight'] = 'denné svetlo';
+$lang['exif_value_light_source_daylight_fluorescent_d'] = 'denné svetlo (D 5700 – 7100K)';
+$lang['exif_value_light_source_daywhite_fluorescent_n'] = 'denné biele svetlo (N 4600 – 5400K)';
+$lang['exif_value_light_source_fine_weather'] = 'pekné počasie';
+$lang['exif_value_light_source_flash'] = 'blesk';
+$lang['exif_value_light_source_fluorescent'] = 'žiarivka';
+$lang['exif_value_light_source_iso_studio_tungsten'] = 'štúdiová žiarovka ISO';
+$lang['exif_value_light_source_other'] = 'iné';
+$lang['exif_value_light_source_shade'] = 'tieň';
+$lang['exif_value_light_source_standard_light_a'] = 'štandardné svetlo A';
+$lang['exif_value_light_source_standard_light_b'] = 'štandardné svetlo B';
+$lang['exif_value_light_source_standard_light_c'] = 'štandardné svetlo C';
+$lang['exif_value_light_source_tungsten'] = 'žiarovka';
+$lang['exif_value_light_source_unknown'] = 'neznámy';
+$lang['exif_value_light_source_white_fluorescent'] = 'biela žiarivka (WW 3200 – 3700K)';
+$lang['exif_value_metering_mode_CenterWeightedAVG'] = 'priemer s váženým stredom';
+$lang['exif_value_metering_mode_average'] = 'priemer';
+$lang['exif_value_metering_mode_multispot'] = 'viacbodové';
+$lang['exif_value_metering_mode_partial'] = 'čiastočné';
+$lang['exif_value_metering_mode_pattern'] = 'modelové';
+$lang['exif_value_metering_mode_spot'] = 'bodové';
+$lang['exif_value_metering_mode_unknown'] = 'neznáme';
+$lang['exif_value_red_eye'] = 'redukcia červených očí';
+$lang['exif_value_saturation_hard'] = 'vysoká';
+$lang['exif_value_saturation_low'] = 'nízka';
+$lang['exif_value_saturation_normal'] = 'normálna';
+$lang['exif_value_sharpness_hard'] = 'vysoká';
+$lang['exif_value_sharpness_normal'] = 'normálna';
+$lang['exif_value_sharpness_soft'] = 'nízka';
+$lang['exif_value_white_balance_auto'] = 'auto';
+$lang['exif_value_white_balance_manual'] = 'ručné';
 
 ?>