Index: /extensions/Admin_Messages/language/de_DE/description.txt
===================================================================
--- /extensions/Admin_Messages/language/de_DE/description.txt	(revision 9471)
+++ /extensions/Admin_Messages/language/de_DE/description.txt	(revision 9471)
@@ -0,0 +1,1 @@
+Es erlaubt den Administratoren Mitteilungen auf der Administrationsseite zu hinterlassen.
Index: /extensions/Admin_Messages/language/de_DE/index.php
===================================================================
--- /extensions/Admin_Messages/language/de_DE/index.php	(revision 9471)
+++ /extensions/Admin_Messages/language/de_DE/index.php	(revision 9471)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Admin_Messages/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Admin_Messages/language/de_DE/plugin.lang.php	(revision 9471)
+++ /extensions/Admin_Messages/language/de_DE/plugin.lang.php	(revision 9471)
@@ -0,0 +1,15 @@
+<?php
+
+$lang['AM_messages'] = "Mitteilungen";
+$lang['AM_no_messages'] = "Keine Mitteilungen";
+$lang['AM_list_tab'] = "Liste der Mitteilungen";
+$lang['AM_new_tab'] = "Mitteilung hinzufügen";
+$lang['AM_msg_content'] = "Inhalt der Mitteilung";
+$lang['AM_nb_messages'] = "Anzahl Mitteilungen welche auf der Administrationsseite angezeigt werden";
+$lang['AM_free_name'] = "Den Benutzern erlauben Ihr Name zu verändern, wenn sie eine Mitteilung posten";
+$lang['AM_name_fixed'] = "(fixiert)";
+$lang['AM_message_added'] = "Mitteilung hinzugefügt";
+$lang['AM_empty_content'] = "Inhalt leer";
+$lang['AM_delete'] = "Mitteilung löschen";
+
+?>
Index: /extensions/Admin_Messages/language/it_IT/description.txt
===================================================================
--- /extensions/Admin_Messages/language/it_IT/description.txt	(revision 9471)
+++ /extensions/Admin_Messages/language/it_IT/description.txt	(revision 9471)
@@ -0,0 +1,1 @@
+Permette agli amministratori di lasciare un messaggio sul pannello dell'amministrazione.
Index: /extensions/Admin_Messages/language/it_IT/index.php
===================================================================
--- /extensions/Admin_Messages/language/it_IT/index.php	(revision 9471)
+++ /extensions/Admin_Messages/language/it_IT/index.php	(revision 9471)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Admin_Messages/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Admin_Messages/language/it_IT/plugin.lang.php	(revision 9471)
+++ /extensions/Admin_Messages/language/it_IT/plugin.lang.php	(revision 9471)
@@ -0,0 +1,15 @@
+<?php
+
+$lang['AM_messages'] = "Messaggio";
+$lang['AM_no_messages'] = "Nessun messaggio";
+$lang['AM_list_tab'] = "Lista dei messaggi";
+$lang['AM_new_tab'] = "Aggiungere un messaggio";
+$lang['AM_msg_content'] = "Contenuto del messaggio";
+$lang['AM_nb_messages'] = "Numero di messaggi da visualizzare sul pannello dell\'amministrazione";
+$lang['AM_free_name'] = "Permettere agli utenti di modificare il loro nome quando scrivono un messaggio";
+$lang['AM_name_fixed'] = "(bloccato)";
+$lang['AM_message_added'] = "Aggiunto messaggio";
+$lang['AM_empty_content'] = "Senza contenuto";
+$lang['AM_delete'] = "Eliminare il messaggio";
+
+?>