Index: /trunk/admin/include/themes.class.php
===================================================================
--- /trunk/admin/include/themes.class.php	(revision 9471)
+++ /trunk/admin/include/themes.class.php	(revision 9472)
@@ -53,4 +53,5 @@
     $tabsheet = new tabsheet();
     $tabsheet->add('themes_installed', l10n('Installed Themes'), $link.'themes_installed');
+    $tabsheet->add('themes_update', l10n('Check for updates'), $link.'themes_update');
     $tabsheet->add('themes_new', l10n('Add New Theme'), $link.'themes_new');
     $tabsheet->select($selected);
Index: /trunk/admin/themes/default/template/themes_update.tpl
===================================================================
--- /trunk/admin/themes/default/template/themes_update.tpl	(revision 9472)
+++ /trunk/admin/themes/default/template/themes_update.tpl	(revision 9472)
@@ -0,0 +1,77 @@
+{combine_script id='jquery.cluetip' load='async' require='jquery' path='themes/default/js/plugins/jquery.cluetip.packed.js'}
+{footer_script require='jquery.cluetip'}
+jQuery().ready(function(){ldelim}
+	jQuery('.cluetip').cluetip({ldelim}
+		width: 300,
+		splitTitle: '|'
+	});
+});
+{/footer_script}
+
+<div class="titrePage">
+  <h2>{'Check for updates'|@translate}</h2>
+</div>
+
+{if isset($themes_not_uptodate)}
+<br>
+<b>{'Themes which need upgrade'|@translate}</b>
+<table class="table2 themes">
+<thead>
+  <tr class="throw">
+    <td>{'Name'|@translate}</td>
+    <td>{'Current<br>version'|@translate}</td>
+    <td>{'Available<br>version'|@translate}</td>
+    <td>{'Actions'|@translate}</td>
+  </tr>
+</thead>
+{foreach from=$themes_not_uptodate item=theme name=themes_loop}
+  <tr class="{if $smarty.foreach.themes_loop.index is odd}row1{else}row2{/if}">
+    <td><a href="{$theme.EXT_URL}" class="externalLink cluetip" title="{$theme.EXT_NAME}|{$theme.EXT_DESC|htmlspecialchars|nl2br}">{$theme.EXT_NAME}</a></td>
+    <td style="text-align:center;">{$theme.VERSION}</td>
+    <td style="text-align:center;"><a href="{$theme.EXT_URL}" class="externalLink cluetip" title="{$theme.EXT_NAME}|{$theme.NEW_VER_DESC|htmlspecialchars|nl2br}">{$theme.NEW_VERSION}</a></td>
+    <td style="text-align:center;"><a href="{$theme.URL_UPDATE}" onclick="return confirm('{'Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'|@translate|@escape:javascript}');">{'Automatic upgrade'|@translate}</a>
+      / <a href="{$theme.URL_DOWNLOAD}">{'Download file'|@translate}</a></td>
+  </tr>
+{/foreach}
+</table>
+{/if}
+
+
+{if isset($themes_uptodate)}
+<br>
+<b>{'Themes up to date'|@translate}</b>
+<table class="table2 plugins">
+<thead>
+  <tr class="throw">
+    <td>{'Name'|@translate}</td>
+    <td>{'Version'|@translate}</td>
+  </tr>
+</thead>
+{foreach from=$themes_uptodate item=theme name=themes_loop}
+  <tr class="{if $smarty.foreach.themes_loop.index is odd}row1{else}row2{/if}">
+    <td><a href="{$theme.URL}" class="externalLink cluetip" title="{$theme.NAME}|{$theme.EXT_DESC|htmlspecialchars|nl2br}">{$theme.NAME}</a></td>
+    <td style="text-align:center;"><a href="{$theme.URL}" class="externalLink cluetip" title="{$theme.NAME}|{$theme.VER_DESC|htmlspecialchars|nl2br}">{$theme.VERSION}</a></td>
+  </tr>
+{/foreach}
+</table>
+{/if}
+
+
+{if isset($themes_cant_check)}
+<br>
+<b>{'Theme versions can\'t be checked'|@translate}</b>
+<table class="table2 plugins">
+<thead>
+  <tr class="throw">
+    <td>{'Name'|@translate}</td>
+    <td>{'Version'|@translate}</td>
+  </tr>
+</thead>
+{foreach from=$themes_cant_check item=theme name=themes_loop}
+  <tr class="{if $smarty.foreach.themes_loop.index is odd}row1{else}row2{/if}">
+    <td>{$theme.NAME}</td>
+    <td style="text-align:center;">{$theme.VERSION}</td>
+  </tr>
+{/foreach}
+</table>
+{/if}
Index: /trunk/admin/themes_update.php
===================================================================
--- /trunk/admin/themes_update.php	(revision 9472)
+++ /trunk/admin/themes_update.php	(revision 9472)
@@ -0,0 +1,157 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+if( !defined("PHPWG_ROOT_PATH") )
+{
+  die ("Hacking attempt!");
+}
+
+include_once(PHPWG_ROOT_PATH.'admin/include/themes.class.php');
+
+$base_url = get_root_url().'admin.php?page='.$page['page'];
+
+$themes = new themes();
+
+$themes->set_tabsheet($page['page']);
+
+//-----------------------------------------------------------automatic upgrade
+if (isset($_GET['theme']) and isset($_GET['revision']))
+{
+  if (!is_webmaster())
+  {
+    array_push($page['errors'], l10n('Webmaster status is required.'));
+  }
+  else
+  {
+    check_pwg_token();
+    
+    $theme_id = $_GET['theme'];
+    $revision = $_GET['revision'];
+
+    $upgrade_status = $themes->extract_theme_files('upgrade', $revision, $theme_id);
+
+    switch ($upgrade_status)
+    {
+      case 'ok':
+        array_push($page['infos'],
+           sprintf(
+              l10n('%s has been successfully upgraded.'),
+              $themes->fs_themes[$_GET['theme']]['name']));
+        break;
+
+      case 'temp_path_error':
+        array_push($page['errors'], l10n('Can\'t create temporary file.'));
+        break;
+
+      case 'dl_archive_error':
+        array_push($page['errors'], l10n('Can\'t download archive.'));
+        break;
+
+      case 'archive_error':
+        array_push($page['errors'], l10n('Can\'t read or extract archive.'));
+        break;
+
+      default:
+        array_push($page['errors'],
+          sprintf(l10n('An error occured during extraction (%s).'), $_GET['upgradestatus'])
+        );
+    }
+
+    $themes->themes();
+    $template->delete_compiled_templates();
+  }
+}
+
+// +-----------------------------------------------------------------------+
+// |                     start template output                             |
+// +-----------------------------------------------------------------------+
+$template->set_filenames(array('themes' => 'themes_update.tpl'));
+
+if ($themes->get_server_themes())
+{
+  foreach($themes->fs_themes as $theme_id => $fs_theme)
+  {
+    if (isset($fs_theme['extension'])
+      and isset($themes->server_themes[$fs_theme['extension']]))
+    {
+      $theme_info = $themes->server_themes[$fs_theme['extension']];
+
+      list($date, ) = explode(' ', $theme_info['revision_date']);
+
+      $ext_desc = '<i>'.l10n('Downloads').':</i> '.$theme_info['extension_nb_downloads']."\r\n"
+        ."\r\n"
+        .$theme_info['extension_description'];
+
+      $rev_desc = '<i>'.l10n('Version').':</i> '.$theme_info['revision_name']."\r\n"
+        .'<i>'.l10n('Released on').':</i> '.$date."\r\n"
+        .'<i>'.l10n('Downloads').':</i> '.$theme_info['revision_nb_downloads']."\r\n"
+        ."\r\n"
+        .$theme_info['revision_description'];
+
+      if ($themes->theme_version_compare($fs_theme['version'], $theme_info['revision_name']))
+      {
+        // Plugin is up to date
+        $template->append('themes_uptodate', array(
+          'URL' => PEM_URL.'/extension_view.php?eid='.$theme_info['extension_id'],
+          'NAME' => $fs_theme['name'],
+          'EXT_DESC' => $ext_desc,
+          'VERSION' => $fs_theme['version'],
+          'VER_DESC' => $rev_desc));
+      }
+      else
+      {
+        // Plugin need upgrade
+        $url_auto_update = $base_url
+          . '&amp;revision=' . $theme_info['revision_id']
+          . '&amp;theme=' . $theme_id
+          . '&amp;pwg_token='.get_pwg_token()
+          ;
+
+        $template->append('themes_not_uptodate', array(
+          'EXT_NAME' => $fs_theme['name'],
+          'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$theme_info['extension_id'],
+          'EXT_DESC' => $ext_desc,
+          'VERSION' => $fs_theme['version'],
+          'NEW_VERSION' => $theme_info['revision_name'],
+          'NEW_VER_DESC' => $rev_desc,
+          'URL_UPDATE' => $url_auto_update,
+          'URL_DOWNLOAD' => $theme_info['download_url'] . '&amp;origin=piwigo_download'));
+      }
+    }
+    else
+    {
+      // Can't check theme
+      $template->append('themes_cant_check', array(
+        'NAME' => $fs_theme['name'],
+        'VERSION' => $fs_theme['version']));
+    }
+  }
+}
+else
+{
+  array_push($page['errors'], l10n('Can\'t connect to server.'));
+}
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'themes');
+?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 9471)
+++ /trunk/language/en_UK/admin.lang.php	(revision 9472)
@@ -776,3 +776,6 @@
 $lang['[NBM] Problems or questions'] = "[NBM] Problems or questions";
 $lang['[Simulation]'] = "[Simulation]";
+$lang['Themes which need upgrade'] = 'Themes which need upgrade';
+$lang['Themes up to date'] = 'Themes up to date';
+$lang['Theme versions can\'t be checked'] = 'Theme versions can\'t be checked';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 9471)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 9472)
@@ -787,3 +787,6 @@
 $lang['delete photo'] = 'supprimer la photo';
 $lang['Remove from caddie'] = 'Retirer du panier';
+$lang['Themes which need upgrade'] = 'Thèmes à mettre à jour';
+$lang['Themes up to date'] = 'Thèmes à jour';
+$lang['Theme versions can\'t be checked'] = 'Impossible de vérifier les thèmes suivants';
 ?>