Index: /extensions/Autosize/admin/template/header_2_1.tpl
===================================================================
--- /extensions/Autosize/admin/template/header_2_1.tpl	(revision 9472)
+++ /extensions/Autosize/admin/template/header_2_1.tpl	(revision 9473)
@@ -1,8 +1,5 @@
 ﻿{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=0}
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"} 
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/ui.core.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/ui.resizable.js"}
-{known_script id="jquery.ui.slider" src=$ROOT_URL|@cat:"themes/default/js/ui/ui.slider.js"}
-{known_script id="jquery.ui.draggable" src=$ROOT_URL|@cat:"themes/default/js/ui/ui.draggable.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/minified/ui.core.min.js"}
 
 {known_script id="conflit_script" src = $AUTOSIZE_PATH|@cat:"js/conflit.js"  } 
Index: /extensions/Autosize/admin/template/header_2_2.tpl
===================================================================
--- /extensions/Autosize/admin/template/header_2_2.tpl	(revision 9472)
+++ /extensions/Autosize/admin/template/header_2_2.tpl	(revision 9473)
@@ -1,9 +1,5 @@
-﻿{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.js"} 
+﻿{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.min.js "} 
 {combine_script id="jquery.cluetip" path = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
  {combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"} 
  {combine_script id="dimensions" path = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" require="jquery"} 
- 
-{combine_script id="jquery.ui" path=$ROOT_URL|@cat:"themes/default/js/ui/ui.core.js" require="jquery"}
-{combine_script id="jquery.ui.resizable" path=$ROOT_URL|@cat:"themes/default/js/ui/ui.resizable.js" require="jquery,jquery.ui"}
-{combine_script id="jquery.ui.slider" path=$ROOT_URL|@cat:"themes/default/js/ui/ui.slider.js" require="jquery,jquery.ui"}
-{combine_script id="jquery.ui.draggable" path=$ROOT_URL|@cat:"themes/default/js/ui/ui.draggable.js" require="jquery,jquery.ui"}
+{combine_script id="jquery.ui" path=$ROOT_URL|@cat:"themes/default/js/ui/minified/jquery.ui.core.min.js" require="jquery"}
Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 9472)
+++ /extensions/Autosize/autosize.inc.php	(revision 9473)
@@ -305,7 +305,7 @@
 $my_para->mini_width2=(isset($_POST['mini_width2']))? $_POST['mini_width2']: ((isset($my_para->mini_width2)) ? $my_para->mini_width2:  '300') ;
 
-$my_para->echelle_max=(isset($_POST['echelle_max']))? $_POST['echelle_max'] : ((isset($my_para->echelle_max)) ? $my_para->echelle_max :  '1.2'); 
+$my_para->echelle_max=(isset($_POST['echelle_max']))? $_POST['echelle_max'] : ((isset($my_para->echelle_max)) ? $my_para->echelle_max :  '1.0'); 
 $my_para->marge_basse=(isset($_POST['marge_basse']))? $_POST['marge_basse']: ((isset($my_para->marge_basse)) ? $my_para->marge_basse :  '0');
-$my_para->fade_in=(isset($_POST['fade_in']))? $_POST['fade_in']: ((isset($my_para->fade_in)) ? $my_para->fade_in :  '200');
+$my_para->fade_in=(isset($_POST['fade_in']))? $_POST['fade_in']: ((isset($my_para->fade_in)) ? $my_para->fade_in :  '0');
 
 //===============================================================================	
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 9472)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 9473)
@@ -780,4 +780,9 @@
                          wingbo = img_finale.width;
                          heightgbo = img_finale.height;
+                         if (Type_Img == "panorama") {
+                             heightgbo = info_theImage.height;
+                             img_finale.height = info_theImage.height;
+                         }
+
                          img_finale.width -= marges_llgbo;
                          if (jQuery("#slideshow").infos().width > 0) {
@@ -1252,7 +1257,13 @@
 
     if (llgboframe.height > 0) {
-
+ ll2 = jQuery("#gbo div:last").infos();  
         ll1 = jQuery("#gbo div:first").infos();
-        ll2 = jQuery("#gbo div:last").infos(); ;
+        ll2 ="" ;
+        jQuery("#gbo div").each(function (i) {
+        
+         if (  this.id=="") return ;
+ll2=this ;
+        });
+       ll2 = jQuery(ll2).infos();  
         ll1 = ll1.width;
         ll2 = ll2.width - ll2.borderwidth.left - ll2.borderwidth.right;
Index: tensions/Autosize/js/jquery.dimensions.min.js
===================================================================
--- /extensions/Autosize/js/jquery.dimensions.min.js	(revision 9472)
+++ 	(revision )
@@ -1,194 +1,0 @@
-/* Copyright (c) 2007 Paul Bakaus (paul.bakaus@googlemail.com) and Brandon Aaron (brandon.aaron@gmail.com || http://brandonaaron.net)
- * Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php)
- * and GPL (http://www.opensource.org/licenses/gpl-license.php) licenses.
- *
- * $LastChangedDate: 2007-12-20 08:43:48 -0600 (Thu, 20 Dec 2007) $
- * $Rev: 4257 $
- *
- * Version: 1.2
- *
- * Requires: jQuery 1.2+
- */
-(function (jQuery) {
-    jQuery.dimensions = { version: '1.3' };
-    /*
-    * Interception Height, Width
-    */
-    jQuery.each(['Height', 'Width'],
-            function (i, name) {
-                jQuery.fn['inner' + name] = function () {
-                    if (!this[0]) return;
-                    var torl = name == 'Height' ? 'Top' : 'Left',
-                        borr = name == 'Height' ? 'Bottom' : 'Right';
-                    return this.is(':visible') ? this[0]['client' + name] : num(this, name.toLowerCase()) + num(this, 'padding' + torl) + num(this, 'padding' + borr);
-                };
-
-                jQuery.fn['outer' + name] = function (options) {
-                    if (!this[0]) return;
-                    var torl = name == 'Height' ? 'Top' : 'Left',
-                        borr = name == 'Height' ? 'Bottom' : 'Right';
-                    options = jQuery.extend({ margin: false },
-                                                options || {});
-                    var val = this.is(':visible') ? this[0]['offset' + name] :
-                        num(this,
-                        name.toLowerCase()) +
-                        num(this, 'border' + torl + 'Width') +
-                        num(this, 'border' + borr + 'Width') +
-                        num(this, 'padding' + torl) +
-                        num(this, 'padding' + borr);
-                    return val + (options.margin ? (num(this, 'margin' + torl) + num(this, 'margin' + borr)) : 0);
-                };
-            });
-    /*
-    *
-    */
-    jQuery.each(['Left', 'Top'],
-      function (i, name) {
-          jQuery.fn['scroll' + name] = function (val) {
-              if (!this[0]) return;
-              return val != undefined ? this.each(function () {
-                  this == window || this == document ? window.scrollTo(name == 'Left' ? val : $(window)['scrollLeft'](),
-           name == 'Top' ? val : $(window)['scrollTop']()) : this['scroll' + name] = val;
-              }) : this[0] == window || this[0] == document ? self[(name == 'Left' ? 'pageXOffset' : 'pageYOffset')] || jQuery.boxModel && document.documentElement['scroll' + name] || document.body['scroll' + name] : this[0]['scroll' + name];
-          };
-
-      });
-    jQuery.fn.extend({
-
-        info: function () {
-            var width = 0, height = 0;
-            var left = 0, top = 0, elem = this[0], offset, parentOffset, offsetParent, results;
-            var borderwidth = { width: "0 0 0 0",
-                top: 0,
-                left: 0,
-                right: 0,
-                bottom: 0
-            }
-            var padding = { padding: "0 0 0 0",
-                top: 0,
-                left: 0,
-                right: 0,
-                bottom: 0
-            };
-            var margin = { margin: "0 0 0 0",
-                top: 0,
-                left: 0,
-                right: 0,
-                bottom: 0
-            };
-            //=====================================================================
-            results = {
-                position: jQuery(elem).css("position"),
-                top: 0,
-                left: 0,
-                width: 0,
-                height: 0,
-                right: 0,
-                bottom: 0,
-                borderwidth: borderwidth,
-                padding: padding,
-                margin: margin
-            };
-            ;
-            if (elem) {
-                Position = jQuery(elem).position();
-                left = Position.left;
-                top = Position.top;
-                width = jQuery(elem).outerWidth();
-                height = jQuery(elem).outerHeight();
-
-
-                borderwidth.left = jQuery(elem).css("borderLeftWidth");
-                borderwidth.right = jQuery(elem).css("borderRightWidth");
-                borderwidth.top = jQuery(elem).css("borderTopWidth");
-                borderwidth.bottom = jQuery(elem).css("borderBottomWidth");
-                try {
-                    borderwidth.width = jQuery(elem).css("borderWidth");
-                } catch (e) {
-                    borderwidth.width = '"' + borderwidth.left + ' ' + borderwidth.top + ' ' + borderwidth.right + ' ' + borderwidth.bottom + '"';
-                }
-
-
-                margin.left = jQuery(elem).css("marginLeft");
-                margin.right = jQuery(elem).css("marginRight");
-                margin.top = jQuery(elem).css("marginTop");
-                margin.bottom = jQuery(elem).css("marginBottom");
-                try {
-                    margin.margin = jQuery(elem).css("margin");
-                } catch (e) {
-                    margin.margin = '"' + margin.left + ' ' + margin.top + ' ' + margin.right + ' ' + margin.bottom + '"';
-                }
-
-                padding.left = jQuery(elem).css("paddingLeft");
-                padding.right = jQuery(elem).css("paddingRight");
-                padding.top = jQuery(elem).css("paddingTop");
-                padding.bottom = jQuery(elem).css("paddingBottom");
-                try { padding.padding = jQuery(elem).css("padding"); } catch (e) {
-                    padding.padding = '"' + padding.left + ' ' + padding.top + ' ' + padding.right + ' ' + padding.bottom + '"';
-                }
-
-                results = {
-                    position: jQuery(elem).css("position"),
-                    top: top,
-                    left: left,
-                    width: width,
-                    height: height,
-                    right: left + width,
-                    bottom: top + height,
-                    borderwidth: borderwidth,
-                    margin: margin,
-                    padding: padding
-                };
-
-                return results
-            } return results;
-        },
-        /*
-        * Position de l'object elem
-        */
-        position: function () {
-            var left = 0, top = 0, elem = this[0], offset, parentOffset, offsetParent, results;
-            if (elem) {
-                offsetParent = this.offsetParent();
-                offset = this.offset();
-                if (offsetParent) {
-                    if (typeof (offsetParent.offset) != "undefined")
-                        parentOffset = offsetParent.offset();
-                    else
-                        parentOffset = { top: 0, left: 0 };
-
-                    offset.top -= num(elem, 'marginTop');
-                    offset.left -= num(elem, 'marginLeft');
-
-                    if (offsetParent.length > 0) {
-                        parentOffset.top += num(offsetParent, 'borderTopWidth');
-                        parentOffset.left += num(offsetParent, 'borderLeftWidth');
-                    } else {
-                        parentOffset = { top: 0, left: 0 };
-
-                    }
-                } else {
-                    parentOffset = { top: 0, left: 0 };
-                }
-                results = {
-                    top: offset.top - parentOffset.top, left: offset.left - parentOffset.left
-                };
-            } return results;
-        },
-        /*
-        * offsetParent
-        */
-        offsetParent: function () {
-            var offsetParent = this[0].offsetParent;
-            while (offsetParent && (!/^body|html$/i.test(offsetParent.tagName) && jQuery.css(offsetParent, 'position') == 'static'))
-                offsetParent = offsetParent.offsetParent;
-            return jQuery(offsetParent);
-        }
-    });
-    /*
-    *
-    */
-    function num(el, prop) {
-        return parseInt(jQuery.curCSS(el.jquery ? el[0] : el, prop, true)) || 0;
-    };
-})(jQuery);
Index: /extensions/Autosize/template/header_2_1.tpl
===================================================================
--- /extensions/Autosize/template/header_2_1.tpl	(revision 9472)
+++ /extensions/Autosize/template/header_2_1.tpl	(revision 9473)
@@ -4,6 +4,4 @@
 {known_script id="conflit_script" src = $AUTOSIZE_PATH|@cat:"js/conflit.js" }
 {known_script id="dimensions" src = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" }
-
-{known_script
-id="cookie" src = $AUTOSIZE_PATH|@cat:"js/jquery.cookie.js" }
+{known_script id="cookie" src = $AUTOSIZE_PATH|@cat:"js/jquery.cookie.js" }
 {/html_head}
Index: /extensions/Autosize/template/header_2_2.tpl
===================================================================
--- /extensions/Autosize/template/header_2_2.tpl	(revision 9472)
+++ /extensions/Autosize/template/header_2_2.tpl	(revision 9473)
@@ -1,3 +1,3 @@
-﻿{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.js"} 
+﻿{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.min.js "} 
 {combine_script id="jquery.cluetip" path = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js" require="jquery" } 
 {combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"}