Index: /extensions/meta/language/sk_SK/description.txt
===================================================================
--- /extensions/meta/language/sk_SK/description.txt	(revision 9475)
+++ /extensions/meta/language/sk_SK/description.txt	(revision 9475)
@@ -0,0 +1,1 @@
+Povolenie pridávať metaúdaje
Index: /extensions/meta/language/sk_SK/index.php
===================================================================
--- /extensions/meta/language/sk_SK/index.php	(revision 9475)
+++ /extensions/meta/language/sk_SK/index.php	(revision 9475)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/meta/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/meta/language/sk_SK/plugin.lang.php	(revision 9475)
+++ /extensions/meta/language/sk_SK/plugin.lang.php	(revision 9475)
@@ -0,0 +1,45 @@
+<?php
+
+//tab gest
+$lang['meta_onglet_gestion'] = 'Metaúdaje';
+$lang['meta_desh3'] = 'Pridať meta na všetky stránky';
+$lang['meta_name'] = 'Názov pre metaúdaje';
+$lang['meta_select'] = 'Označiť metaúdaje na editáciu';
+$lang['meta_choix'] = 'Editovať metaúdaje';
+$lang['meta_list'] = 'Metaúdaje:';
+$lang['meta_select2'] = 'Označiť metaúdaje';
+$lang['meta_description'] = 'popis';
+$lang['meta_diff_val'] = 'Možné hodnoty';
+$lang['meta_comp'] = 'Metaúdaje budú  doplnené';
+$lang['meta_insmeta'] = 'vloženie metaúdaju';
+
+//edit
+$lang['Metadata - Plugin meta'] = 'Metaúdaje - Doplnok meta';
+$lang['meta_compimg'] = 'Kľúčové slová budú dokončené';
+$lang['meta_compimgdes'] = 'Nahradenie popisu fotografie';
+$lang['meta_inscat'] = 'Vloženie Metaúdajov';
+$lang['meta_compcatdeshelp'] = 'Budú prepísané všetky popisy';
+$lang['meta_compcat'] = 'Kľúčové slová kategórie budú dokončené';
+$lang['meta_compcatdes'] = 'Nahradenie popisu kategórie';
+
+//tab description
+$lang['meta_onglet_description'] = 'Popis metaúdajov';
+$lang['meta_author'] = 'Popis meta autora';
+$lang['meta_author_help'] = 'Informácia o autorovi <br>
+Informácia o autorovi stránky ';
+$lang['meta_keywords'] = 'Popis meta kľúčových slov';
+$lang['meta_keywords_help'] = '"Kľúčové slovo, kľúčové slovo, atď."<br>
+Kľúčové slová popisujúce webovú stránku. (Oddeľovať čiarkou)';
+$lang['meta_Description'] = 'Popis meta popisu';
+$lang['meta_Description_help'] = 'Popis Vašej stránky<br>
+Povolenie na pridávanie informácie na aktualizáciu počas výsledkov vyhľadávania';
+$lang['meta_robots'] = 'Popis meta robotov';
+$lang['meta_robots_help'] = '
+all : Povoliť robotom referovať všetko o stránke (prednastavené)<br>
+follow : Povoliť robotom nasledovať linky na stránke<br>
+index : Povoliť robotom indexovať stránku<br>
+nofollow : Zakázať robotom nasledovať linky na stránke<br>
+noindex : Zakázať robotom indexovať stránku<br>
+none : Zabrániť robotom sledovanie indexácie na stránke<br>
+';
+?>