Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 9493)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 9494)
@@ -513,10 +513,4 @@
 $lang['%d anomalies have been ignored.'] = '%d تم تجاهل هذه الحلات الشاذه.';
 $lang['Plugins which need upgrade'] = 'اضافات تحتاج لتحديث';
-$lang['Plugins up to date'] = 'الإضافات حتى الآن';
-$lang['Plugin versions can\'t be checked'] = 'اضافات يمكن فحص تحديثاتها\'t ';
-$lang['Current<br>version'] = 'الحالي<br>الاصدار';
-$lang['Available<br>version'] = 'المتوفر<br>الاصدار';
-$lang['Automatic upgrade'] = 'تحديث آلي';
-$lang['Download file'] = 'تنزيل الملف';
 $lang['Plugin list'] = 'قائمة الاضافات';
 $lang['Check for updates'] = 'فحص للتحديث';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 9493)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 9494)
@@ -523,10 +523,4 @@
 $lang['%d anomalies have been ignored.'] = 'S\'han ignorat les anomalies %d.';
 $lang['Plugins which need upgrade'] = 'Connectors que necessiten actualitzar-se';
-$lang['Plugins up to date'] = 'Connectors al dia';
-$lang['Plugin versions can\'t be checked'] = 'Versions dels plugins que no s\'han pogut comprovar';
-$lang['Current<br>version'] = 'Versió<br>actual';
-$lang['Available<br>version'] = 'Versió<br>disponible';
-$lang['Automatic upgrade'] = 'Actualització automàtica';
-$lang['Download file'] = 'Descarrega fitxer';
 $lang['Plugin list'] = 'Llista de connectors';
 $lang['Check for updates'] = 'Comprova les actualitzacións';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 9493)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 9494)
@@ -514,10 +514,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anomálií bylo ignorováno.';
 $lang['Plugins which need upgrade'] = 'Doplňky vyžadující aktualizaci';
-$lang['Plugins up to date'] = 'Aktuální doplňky';
-$lang['Plugin versions can\'t be checked'] = 'Nelze zjistit verze doplňků';
-$lang['Current<br>version'] = 'Současná<br>verze';
-$lang['Available<br>version'] = 'Dostupná<br>verze';
-$lang['Automatic upgrade'] = 'Automatická aktualizace';
-$lang['Download file'] = 'Stáhnout soubor';
 $lang['Plugin list'] = 'Seznam doplňků';
 $lang['Check for updates'] = 'Zkontrolovat aktualizace';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 9493)
+++ /trunk/language/da_DK/admin.lang.php	(revision 9494)
@@ -514,10 +514,4 @@
 $lang['%d anomalies have been ignored.']     =     ' %d uregelmæssigheder er blevet ignoreret.';
 $lang['Plugins which need upgrade']     =     'Plugins skal opgraderes';
-$lang['Plugins up to date']     =     'Plugins up-to-date';
-$lang['Plugin versions can\'t be checked']     =     'Plugin, hvilken version kan ikke  kontrolleres';
-$lang['Current<br>version']     =     'Nuværende <br> version';
-$lang['Available<br>version']     =     'Tilgængelig <br> version';
-$lang['Automatic upgrade']     =     'Automatisk opgradering';
-$lang['Download file']     =     'Download fil';
 $lang['Plugin list']     =     'Plugins liste';
 $lang['Check for updates']     =     'Check for opdateringer';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 9493)
+++ /trunk/language/de_DE/admin.lang.php	(revision 9494)
@@ -510,10 +510,4 @@
 $lang['%d anomalies have been ignored.'] = '%d Anomalien ignoriert wurden.';
 $lang['Plugins which need upgrade'] = 'Für diese Plugins ist ein Update verfügbar';
-$lang['Plugins up to date'] = 'Diese Plugins sind auf dem neuesten Stand';
-$lang['Plugin versions can\'t be checked'] = 'Konnte die folgenden Plugins nicht prüfen';
-$lang['Current<br>version'] = 'Version<br>Aktuelle';
-$lang['Available<br>version'] = 'Version<br>verfügbar';
-$lang['Automatic upgrade'] = 'Automatisches Update';
-$lang['Download file'] = 'Laden Sie die Datei';
 $lang['Plugin list'] = 'Liste der Plugins';
 $lang['Check for updates'] = 'Plugins auf Updates überprüfen';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 9493)
+++ /trunk/language/en_UK/admin.lang.php	(revision 9494)
@@ -158,7 +158,5 @@
 $lang['Automatic correction'] = "Automatic correction";
 $lang['automatic order'] = 'automatic order';
-$lang['Automatic upgrade'] = "Automatic upgrade";
 $lang['Available only with HTML format'] = "Available only with HTML format";
-$lang['Available<br>version'] = "Available<br>version";
 $lang['average time'] = "average time";
 $lang['Batch management'] = "Batch management";
@@ -203,5 +201,4 @@
 $lang['created'] = "created";
 $lang['Current name'] = "Current name";
-$lang['Current<br>version'] = "Current<br>version";
 $lang['Database synchronization with files'] = "Database synchronization with files";
 $lang['Database'] = "Database";
@@ -244,5 +241,4 @@
 $lang['Documentation'] = "Documentation";
 $lang['Does not represent'] = "Does not represent";
-$lang['Download file'] = "Download file";
 $lang['Download'] = 'Download';
 $lang['Download,'] = 'Download,';
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 9493)
+++ /trunk/language/es_ES/admin.lang.php	(revision 9494)
@@ -510,10 +510,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anomalías han sido ignoradas.';
 $lang['Plugins which need upgrade'] = 'Plugins que necesita una actualizacion ';
-$lang['Plugins up to date'] = 'Plugins actualizado';
-$lang['Plugin versions can\'t be checked'] = 'Imposible verificar el plugins siguiente';
-$lang['Current<br>version'] = 'Versión<br>actual';
-$lang['Available<br>version'] = 'Versión<br>disponible';
-$lang['Automatic upgrade'] = 'Actualizacion automática';
-$lang['Download file'] = 'Descargar el fichero';
 $lang['Plugin list'] = 'Lista plugins';
 $lang['Check for updates'] = 'Verificar las actualizaciones';
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 9493)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 9494)
@@ -515,10 +515,4 @@
 $lang['%d anomalies have been ignored.'] = "%d anomalies have been ignored.";
 $lang['Plugins which need upgrade'] = "آپگرید پلاگین‌ها";
-$lang['Plugins up to date'] = "آپدیت پلاگین‌ها";
-$lang['Plugin versions can\'t be checked'] = "Plugin which version cannot be checked";
-$lang['Current<br>version'] = "نسخه<br>کنونی";
-$lang['Available<br>version'] = "نسخه<br>موجود";
-$lang['Automatic upgrade'] = "آپگرید اتوماتیک";
-$lang['Download file'] = "دریافت(دانلود) فایل";
 $lang['Plugin list'] = "فهرست پلاگین‌ها";
 $lang['Check for updates'] = "چک آپدیت";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 9493)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 9494)
@@ -521,10 +521,4 @@
 $lang['%d anomalies have been ignored.'] = "%d anomalies ont été ignorées.";
 $lang['Plugins which need upgrade'] = "Plugins à mettre à jour";
-$lang['Plugins up to date'] = "Plugins à jour";
-$lang['Plugin versions can\'t be checked'] = "Impossible de vérifier les plugins suivants";
-$lang['Current<br>version'] = "Version<br>actuelle";
-$lang['Available<br>version'] = "Version<br>disponible";
-$lang['Automatic upgrade'] = "Mise à jour automatique";
-$lang['Download file'] = "Télécharger le fichier";
 $lang['Plugin list'] = "Liste des plugins";
 $lang['Check for updates'] = "Rechercher les mises à jour";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 9493)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 9494)
@@ -514,10 +514,4 @@
 $lang['%d anomalies have been ignored.'] = "%d anomalies ont été ignorées.";
 $lang['Plugins which need upgrade'] = "Plugins à mettre à jour";
-$lang['Plugins up to date'] = "Plugins à jour";
-$lang['Plugin versions can\'t be checked'] = "Impossible de vérifier les plugins suivants";
-$lang['Current<br>version'] = "Version<br>actuelle";
-$lang['Available<br>version'] = "Version<br>disponible";
-$lang['Automatic upgrade'] = "Mise à jour automatique";
-$lang['Download file'] = "Télécharger le fichier";
 $lang['Plugin list'] = "Liste des plugins";
 $lang['Check for updates'] = "Rechercher les mises à jour";
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 9493)
+++ /trunk/language/he_IL/admin.lang.php	(revision 9494)
@@ -512,10 +512,5 @@
 $lang['%d anomalies have been ignored.'] = '%d חריגות שהתעלמה מהן.';
 $lang['Plugins which need upgrade'] = 'תוספים שיש לעדכן';
-$lang['Plugins up to date'] = 'תוספים עדכנים';
 $lang["Plugin versions can't be checked"] = 'לא ניתן לבדוק את גירסת התוסף';
-$lang['Current<br>version'] = 'הגירסה<br>הנוכחית';
-$lang['Available<br>version'] = 'זמינות בגירסה חדשות';
-$lang['Automatic upgrade'] = 'שדרוג אוטומטי';
-$lang['Download file'] = 'הורד קובץ';
 $lang['Plugin list'] = 'רשימת תוספים';
 $lang['Check for updates'] = 'בדוק עדכונים';
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 9493)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 9494)
@@ -509,9 +509,4 @@
 $lang['%d anomalies have been ignored.'] = '%d nepravilnosti su zanemarene.';
 $lang['Plugins which need upgrade'] = 'Dodaci koji trebaju nadogradnju';
-$lang['Plugins up to date'] = 'Dodaci su usklađeni';
-$lang['Plugin versions can\'t be checked'] = 'Inačice dodataka ne mogu se provjeriti';
-$lang['Current<br>version'] = 'Trenutna <br>inačica';
-$lang['Available<br>version'] = 'Dostupna<br>inačica';
-$lang['Automatic upgrade'] = 'Samostalna nadogradnja';
 $lang['Plugin list'] = 'Popis dodataka';
 $lang['Check for updates'] = 'Provjera nadogradnji';
@@ -714,5 +709,4 @@
 $lang['Add another set of photos'] = 'Dodaj još jedan skup slika';
 $lang['Path'] = 'Putanja';
-$lang['Download file'] = 'Preuzmi zapis';
 $lang['Order of menubar items has been updated successfully.'] = 'Redoslijed  stavki izborne trake je uspješno obnovljen.';
 $lang['This theme was not designed to be directly activated'] = 'Ova tema nije zamišljena za neposrednu postavu'; 
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 9493)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 9494)
@@ -509,10 +509,4 @@
 $lang['%d anomalies have been ignored.'] = '%d rendellenesség figyelmen kívül hagyva.';
 $lang['Plugins which need upgrade'] = 'Az alábbi bővítményekhez frissítés érhető el';
-$lang['Plugins up to date'] = 'Ezek a bővítmények naprakészek';
-$lang['Plugin versions can\'t be checked'] = 'Az alábbi bővítményeket ellenőrizni kell';
-$lang['Current<br>version'] = 'Verzió<br>Jelenlegi';
-$lang['Available<br>version'] = 'Verzió<br>Elérhető';
-$lang['Automatic upgrade'] = 'Automatikus frissítés';
-$lang['Download file'] = 'Bővítmény letöltése';
 $lang['Plugin list'] = 'Bővítmény lista';
 $lang['Check for updates'] = 'Frissíthető bővítmények';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 9493)
+++ /trunk/language/it_IT/admin.lang.php	(revision 9494)
@@ -514,10 +514,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anomalie sono state ignorate.';
 $lang['Plugins which need upgrade'] = 'Plugins che necessitano di aggiornamento';
-$lang['Plugins up to date'] = 'Plugins aggiornati';
-$lang['Plugin versions can\'t be checked'] = 'La versione del plugin non può essere verificata';
-$lang['Current<br>version'] = 'Versione<br>attuale';
-$lang['Available<br>version'] = 'Versione<br>disponibile';
-$lang['Automatic upgrade'] = 'Aggiornamento automatico';
-$lang['Download file'] = 'Scaricare il file';
 $lang['Plugin list'] = 'Elenco dei plugins';
 $lang['Check for updates'] = 'Controllare aggiornamenti';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 9493)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 9494)
@@ -513,10 +513,4 @@
 $lang['%d anomalies have been ignored.'] = '%d 件の例外が無視されました。';
 $lang['Plugins which need upgrade'] = 'アップグレードが必要なプラグイン';
-$lang['Plugins up to date'] = 'プラグインは最新版です。';
-$lang['Plugin versions can\'t be checked'] = 'プラグインバージョンをチェックできませんでした。';
-$lang['Current<br>version'] = '現在の<br />バージョン';
-$lang['Available<br>version'] = '利用可能な<br />バージョン';
-$lang['Automatic upgrade'] = '自動アップブレード';
-$lang['Download file'] = 'ファイルをダウンロードする';
 $lang['Plugin list'] = 'プラグインリスト';
 $lang['Check for updates'] = 'アップデートをチェックする';
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 9493)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 9494)
@@ -518,10 +518,4 @@
 $lang['%d anomalies have been ignored.'] = 'იგნორირებული იქნა გაუმართაობები: %d';
 $lang['Plugins which need upgrade'] = 'პლაგინები, რომლებიც ითხხოვენ განახლებას';
-$lang['Plugins up to date'] = 'განახლებული პლაგინები';
-$lang['Plugin versions can\'t be checked'] = 'პლაგინები, რომელთა განახლებაც არ მოიძებნა';
-$lang['Current<br>version'] = 'მიმდინარე<br>ვერსია';
-$lang['Available<br>version'] = 'ხელმისაწვდომი<br>ვერსია';
-$lang['Automatic upgrade'] = 'ავტომატური განახლება';
-$lang['Download file'] = 'ჩამოვტვირთოთ ფაილი';
 $lang['Plugin list'] = 'პლაგინების სია';
 $lang['Check for updates'] = 'განახლების შემოწმება';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 9493)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 9494)
@@ -508,10 +508,4 @@
 $lang['%d anomalies have been ignored.'] = '%d bojājumi ignorēti.';
 $lang['Plugins which need upgrade'] = 'Atjaunināmie spraudņi';
-$lang['Plugins up to date'] = 'Spraudņi atjaunināti';
-$lang['Plugin versions can\'t be checked'] = 'Spraudņi, kuru versijas nevar pārbaudīt ';
-$lang['Current<br>version'] = 'Tekošā<br>versija';
-$lang['Available<br>version'] = 'Pieejama<br>versija';
-$lang['Automatic upgrade'] = 'Automātiski atjaunināt';
-$lang['Download file'] = 'Lejuplādēt failu';
 $lang['Plugin list'] = 'Citi spraudņi';
 $lang['Check for updates'] = 'Jauninājumu pārbaude';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 9493)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 9494)
@@ -509,10 +509,4 @@
 $lang['%d anomalies have been ignored.'] = '%d onregelmatigheden worden genegeerd.';
 $lang['Plugins which need upgrade'] = 'Plugins welke bijgewerkt moeten worden';
-$lang['Plugins up to date'] = 'Bijgewerkte plugins';
-$lang['Plugin versions can\'t be checked'] = 'Plugins die niet gecontroleerd kunnen worden';
-$lang['Current<br>version'] = 'Huidige <br>versie';
-$lang['Available<br>version'] = 'Beschikbare<br>versie';
-$lang['Automatic upgrade'] = 'Automatische upgrade';
-$lang['Download file'] = 'Download bestand';
 $lang['Plugin list'] = 'Plugin lijst';
 $lang['Check for updates'] = 'Controleer op updates';
Index: /trunk/language/no_NO/admin.lang.php
===================================================================
--- /trunk/language/no_NO/admin.lang.php	(revision 9493)
+++ /trunk/language/no_NO/admin.lang.php	(revision 9494)
@@ -508,10 +508,4 @@
 $lang['%d anomalies have been ignored.'] = '%d unormaliteter har blitt ignorert.';
 $lang['Plugins which need upgrade'] = 'Tilleggsverktøy som trenger oppdatering ';
-$lang['Plugins up to date'] = 'Tilleggsverktøy er oppdaterte';
-$lang['Plugin versions can\'t be checked'] = 'Tilleggsverktøy hvor versjon ikke kan sjekkes';
-$lang['Current<br>version'] = 'Gjeldende<br>versjon';
-$lang['Available<br>version'] = 'Tilgjengelig<br>versjon';
-$lang['Automatic upgrade'] = 'Automatisk oppdatering';
-$lang['Download file'] = 'Last ned fil';
 $lang['Plugin list'] = 'Liste over tilleggsverktøy';
 $lang['Check for updates'] = 'Sjekk for oppdateringer';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 9493)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 9494)
@@ -511,10 +511,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anomalii zostało zignorowanych.';
 $lang['Plugins which need upgrade'] = 'Wtyczki wymagające aktualizacji';
-$lang['Plugins up to date'] = 'Wtyczki są aktualne';
-$lang['Plugin versions can\'t be checked'] = 'Nie można sprawdzić wersji wtyczek';
-$lang['Current<br>version'] = 'Aktualna<br>wersja';
-$lang['Available<br>version'] = 'Dostępna<br>wersja';
-$lang['Automatic upgrade'] = 'Automatyczna aktualizacja';
-$lang['Download file'] = 'Pobierz plik';
 $lang['Plugin list'] = 'Lista wtyczek';
 $lang['Check for updates'] = 'Sprawdź dostępność aktualizacji';
Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 9493)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 9494)
@@ -514,10 +514,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anomalias foram ignoradas.';
 $lang['Plugins which need upgrade'] = 'Plugins que necessitam atualização (upgrade)';
-$lang['Plugins up to date'] = 'Plugins atualizados';
-$lang['Plugin versions can\'t be checked'] = 'As versões de plugin não podem ser checadas.';
-$lang['Current<br>version'] = 'Versão<br>atual';
-$lang['Available<br>version'] = 'Versão<br>disponível';
-$lang['Automatic upgrade'] = 'Atualização automática';
-$lang['Download file'] = 'Baixar arquivo';
 $lang['Plugin list'] = 'Lista de plugins';
 $lang['Check for updates'] = 'Checar por atualizações';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 9493)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 9494)
@@ -513,10 +513,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anomalias foram ignoradas.';
 $lang['Plugins which need upgrade'] = 'Plugins que necessitam atualização (upgrade)';
-$lang['Plugins up to date'] = 'Plugins atualizados';
-$lang['Plugin versions can\'t be checked'] = 'As versões de plugin não podem ser verificadas.';
-$lang['Current<br>version'] = 'Versão<br>atual';
-$lang['Available<br>version'] = 'Versão<br>disponível';
-$lang['Automatic upgrade'] = 'Atualização automática';
-$lang['Download file'] = 'Descarregar arquivo';
 $lang['Plugin list'] = 'Lista de plugins';
 $lang['Check for updates'] = 'Procurar atualizações';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 9493)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 9494)
@@ -509,10 +509,4 @@
 $lang['%d anomalies have been ignored.'] = 'Было проигнорировано неисправностей: %d';
 $lang['Plugins which need upgrade'] = 'Плагины, требующие обновлений';
-$lang['Plugins up to date'] = 'Обновленные плагины';
-$lang['Plugin versions can\'t be checked'] = 'Плагины, обновление которых не получается отследить';
-$lang['Current<br>version'] = 'Текущая<br>версия';
-$lang['Available<br>version'] = 'Доступная<br>версия';
-$lang['Automatic upgrade'] = 'Автоматическое обновление';
-$lang['Download file'] = 'Скачать файл';
 $lang['Plugin list'] = 'Список плагинов';
 $lang['Check for updates'] = 'Проверка обновлений';
Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 9493)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 9494)
@@ -513,10 +513,4 @@
 $lang['%d anomalies have been ignored.'] = '%d nepravilnosti su zanemarene.';
 $lang['Plugins which need upgrade'] = 'Dodaci koji trebaju nadogradnju';
-$lang['Plugins up to date'] = 'Dodaci su nadograđeni';
-$lang['Plugin versions can\'t be checked'] = 'Verzije dodataka ne mogu biti proverene';
-$lang['Current<br>version'] = 'Trenutna <br>verzija';
-$lang['Available<br>version'] = 'Dostupna<br>verzija';
-$lang['Automatic upgrade'] = 'Automatska nadogradnja';
-$lang['Download file'] = 'Preuzmi datoteku';
 $lang['Plugin list'] = 'Lista dodataka';
 $lang['Check for updates'] = 'Provera nadogradnje';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 9493)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 9494)
@@ -510,10 +510,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anomálií bolo ignorovaných.';
 $lang['Plugins which need upgrade'] = 'Doplnky vyžadujúce aktualizáciu';
-$lang['Plugins up to date'] = 'Aktuálne doplnky';
-$lang['Plugin versions can\'t be checked'] = 'Nie je možné zistiť verzie doplnkov';
-$lang['Current<br>version'] = 'Súčasná<br>verzia';
-$lang['Available<br>version'] = 'Dostupná<br>verzia';
-$lang['Automatic upgrade'] = 'Automatická aktualizácia';
-$lang['Download file'] = 'Stiahnuť súbor';
 $lang['Plugin list'] = 'Zoznam doplnkov';
 $lang['Check for updates'] = 'Skontrolovať aktualizácie';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 9493)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 9494)
@@ -513,10 +513,4 @@
 $lang['%d anomalies have been ignored.'] = '%d неправилности су занемарене.';
 $lang['Plugins which need upgrade'] = 'Додаци који требају надоградњу';
-$lang['Plugins up to date'] = 'Додаци су надограђени';
-$lang['Plugin versions can\'t be checked'] = 'Верзије додатака не могу бити проверене';
-$lang['Current<br>version'] = 'Тренутна <br>верзија';
-$lang['Available<br>version'] = 'Доступна<br>верзија';
-$lang['Automatic upgrade'] = 'Аутоматска надоградња';
-$lang['Download file'] = 'Преузми датотеку';
 $lang['Plugin list'] = 'Листа додатака';
 $lang['Check for updates'] = 'Провера надоградње';
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 9493)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 9494)
@@ -510,10 +510,4 @@
 $lang['%d anomalies have been ignored.'] = '%d avvikelser ignorerades.';
 $lang['Plugins which need upgrade'] = 'Plugins som behöver uppdateras';
-$lang['Plugins up to date'] = 'Plugins har senaste version installerat';
-$lang['Plugin versions can\'t be checked'] = 'Plugin vars version inte kunde fastställas';
-$lang['Current<br>version'] = 'Nuvarande<br>version';
-$lang['Available<br>version'] = 'Tillgänglig<br>version';
-$lang['Automatic upgrade'] = 'Automatisk uppdatering';
-$lang['Download file'] = 'Ladda ner fil';
 $lang['Plugin list'] = 'Lista över plugin';
 $lang['Check for updates'] = 'Sök efter uppdateringar';
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 9493)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 9494)
@@ -508,10 +508,4 @@
 $lang['%d anomalies have been ignored.'] = '%d anormallikler yok sayıldı.';
 $lang['Plugins which need upgrade'] = 'Yükseltilecek eklentiler';
-$lang['Plugins up to date'] = 'Eklentiler güncel';
-$lang['Plugin versions can\'t be checked'] = 'Sürümü kontrol edilemeyen eklentiler';
-$lang['Current<br>version'] = 'Şimdiki<br>versiyon';
-$lang['Available<br>version'] = 'Güncel<br>versiyon';
-$lang['Automatic upgrade'] = 'Otomatik yükseltme';
-$lang['Download file'] = 'Dosyayı indir';
 $lang['Plugin list'] = 'Eklenti listesi';
 $lang['Check for updates'] = 'Güncellemeyi dene';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 9493)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 9494)
@@ -513,10 +513,4 @@
 $lang['%d anomalies have been ignored.'] = 'Có %d báo cáo bất thường đã được bỏ qua.';
 $lang['Plugins which need upgrade'] = 'Plugins cần được nâng cấp';
-$lang['Plugins up to date'] = 'Plugins được cập nhật';
-$lang['Plugin versions can\'t be checked'] = 'Phiên bản plugin không thể kiểm tra được';
-$lang['Current<br>version'] = 'Phiên bản <br>hiện tại';
-$lang['Available<br>version'] = 'Phiên bản <br>có thể sử dụng được';
-$lang['Automatic upgrade'] = 'Nâng cấp tự động';
-$lang['Download file'] = 'Tải file';
 $lang['Plugin list'] = 'Danh sách plugin';
 $lang['Check for updates'] = 'Dò tìm bản bâng cấp';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 9493)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 9494)
@@ -512,10 +512,4 @@
 $lang['%d anomalies have been ignored.'] = '%d 异常被忽略.';
 $lang['Plugins which need upgrade'] = '必须更新插件';
-$lang['Plugins up to date'] = '插件已是最新版本';
-$lang['Plugin versions can\'t be checked'] = '无法核查下面插件';
-$lang['Current<br>version'] = '最新版';
-$lang['Available<br>version'] = '可使用版本';
-$lang['Automatic upgrade'] = '自动更新';
-$lang['Download file'] = '下载文件';
 $lang['Plugin list'] = '插件列表';
 $lang['Check for updates'] = '检查更新';