Index: /extensions/PayPalShoppingCart/language/sk_SK/description.txt
===================================================================
--- /extensions/PayPalShoppingCart/language/sk_SK/description.txt	(revision 9509)
+++ /extensions/PayPalShoppingCart/language/sk_SK/description.txt	(revision 9509)
@@ -0,0 +1,1 @@
+Pridá PayPal nákupný košík na Piwigo pre nákup fotiek
Index: /extensions/PayPalShoppingCart/language/sk_SK/index.php
===================================================================
--- /extensions/PayPalShoppingCart/language/sk_SK/index.php	(revision 9509)
+++ /extensions/PayPalShoppingCart/language/sk_SK/index.php	(revision 9509)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PayPalShoppingCart/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/PayPalShoppingCart/language/sk_SK/plugin.lang.php	(revision 9509)
+++ /extensions/PayPalShoppingCart/language/sk_SK/plugin.lang.php	(revision 9509)
@@ -0,0 +1,38 @@
+<?php
+/*
+  Plugin Panier PayPal Pour Piwigo
+  Copyright (C) 2011 www.queguineur.fr — Tous droits réservés.
+  
+  Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
+  modifier suivant les termes de la “GNU General Public License” telle que
+  publiée par la Free Software Foundation : soit la version 3 de cette
+  licence, soit (à votre gré) toute version ultérieure.
+  
+  Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
+  AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
+  ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
+  Publique GNU pour plus de détails.
+  
+  Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
+  ce programme ; si ce n’est pas le cas, consultez :
+  <http://www.gnu.org/licenses/>.
+*/
+$lang['Action'] = 'Akcia';
+$lang['Add to cart'] = 'Pridaj do košíka';
+$lang['Append photo size'] = 'Pridať veľkosť fotky';
+$lang['Append data'] = 'Pridať údaje';
+$lang['Buy this picture'] = 'Kúpiť fotku';
+$lang['Currency'] = 'Mena';
+$lang['Data appened'] = 'Údaje pridané';
+$lang['Data deleted'] = 'Údaje vymazané';
+$lang['Data updated'] = 'Údaje aktualizované';
+$lang['Delete data'] = 'Vymazané údaje';
+$lang['Fixed shipping cost'] = 'Pevná prepravná cena';
+$lang['PayPal Shopping Cart'] = 'PayPal nákupná košík';
+$lang['Price'] = 'Cena';
+$lang['Shipping cost'] = 'Cena prepravy';
+$lang['Size'] = 'Veľkosť';
+$lang['Update data'] = 'Aktualizovať údaje';
+$lang['View Shopping Cart'] = 'Ukázať nákupný košík';
+$lang['View my PayPal Shopping Cart'] = 'Ukázať môj nákupný košík';
+?>